PY3_LIBRARY(compositor)

OWNER(g:tools-compositor)

PEERDIR(
    contrib/python/django/django-2.2
    contrib/python/django-cors-middleware
    contrib/python/requests
    contrib/python/uwsgi
    contrib/python/djangorestframework
    contrib/python/whitenoise
    contrib/python/drf-ujson
    contrib/python/ipython
    contrib/python/django-extensions
    contrib/python/boto3

    library/python/django
    library/python/granular_settings
    library/python/python-django-yauth
    library/python/datasources-config-wrapper
    library/python/django_tools_log_context
    library/python/nirvana_api
)

PY_SRCS(
    __init__.py
    common_views.py
    settings.py
    manage.py
    middleware.py
    urls.py
)


RESOURCE_FILES(
    PREFIX intranet/compositor/src/

    settings/001-compositor.conf
    settings/001-compositor.conf.development
    settings/002-django.conf
    settings/002-django.conf.development
    settings/002-django.conf.production
    settings/002-django.conf.testing
    settings/003-base.conf
    settings/010-apps.conf
    settings/020-middleware.conf
    settings/020-middleware.conf.development
    settings/030-logging.conf
    settings/040-yauth.conf
    settings/050-drf.conf
    settings/060-workflows-ids.conf
    settings/060-workflows-ids.conf.production
    settings/061-workflows-slugs.conf
)

END()
