from intranet.crt.constants import CERT_TYPE
from intranet.crt.csr.config import (
    AssessorCsrConfig,
    CourtecyVPNConfig,
    LinuxPcCsrConfig,
    RcServerCsrConfig,
    YcServerCsrConfig,
    NinjaCsrConfig,
    NinjaExchangeCsrConfig,
    HypercubeCsrConfig,
    BotikCsrConfig,
    HostCsrConfig,
    FullSubjectCsrConfig,
    ZombieCsrConfig,
    PostamateCsrConfig,
    SdcCsrConfig,
    MdbCsrConfig,
    TpmSmartcard1CSubjectCsrConfig,
    TempPcCsrConfig,
    Vpn1DCsrConfig,
)

CERT_CSR_CONFIG = {
    CERT_TYPE.ASSESSOR: AssessorCsrConfig,
    CERT_TYPE.COURTECY_VPN: CourtecyVPNConfig,
    CERT_TYPE.LINUX_PC: LinuxPcCsrConfig,
    CERT_TYPE.RC_SERVER: RcServerCsrConfig,
    CERT_TYPE.YC_SERVER: YcServerCsrConfig,
    CERT_TYPE.NINJA: NinjaCsrConfig,
    CERT_TYPE.NINJA_EXCHANGE: NinjaExchangeCsrConfig,
    CERT_TYPE.HYPERCUBE: HypercubeCsrConfig,
    CERT_TYPE.BOTIK: BotikCsrConfig,
    CERT_TYPE.HOST: HostCsrConfig,
    CERT_TYPE.ZOMBIE: ZombieCsrConfig,
    CERT_TYPE.POSTAMATE: PostamateCsrConfig,
    CERT_TYPE.SDC: SdcCsrConfig,
    CERT_TYPE.MDB: MdbCsrConfig,
    CERT_TYPE.VPN_1D: Vpn1DCsrConfig,
}
