package ru.yandex.intranet.d.datasource.coordination.model;

/**
 * Consistency mode.
 *
 * @author Dmitriy Timashov <dm-tim@yandex-team.ru>
 */
public enum NodeConsistencyMode {

    /**
     * The default or current value.
     */
    UNSET,
    /**
     * Strict mode makes sure operations may only complete on current master.
     */
    STRICT,
    /**
     * Relaxed mode allows operations to complete on stale masters.
     */
    RELAXED

}
