package ru.yandex.intranet.d.services.integration.providers.security;

import io.grpc.CallCredentials;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;

import ru.yandex.intranet.d.services.integration.providers.grpc.EmptyCallCredentials;

/**
 * Provider API authentication empty supplier.
 *
 * @author Dmitriy Timashov <dm-tim@yandex-team.ru>
 */
@Component
@Profile({"test-recipe"})
public class GrpcCallCredentialsEmptySupplier implements GrpcCallCredentialsSupplier {

    @Override
    public CallCredentials getCredentials(String tvmTicket) {
        return new EmptyCallCredentials();
    }

}
