package ru.yandex.intranet.d.services.integration.providers.security;

import io.grpc.CallCredentials;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;

import ru.yandex.intranet.d.services.integration.providers.grpc.DummyCallCredentials;

/**
 * Provider API authentication supplier stub.
 *
 * @author Dmitriy Timashov <dm-tim@yandex-team.ru>
 */
@Component
@Profile({"integration-tests"})
public class GrpcCallCredentialsSupplierStub implements GrpcCallCredentialsSupplier {

    @Override
    public CallCredentials getCredentials(String tvmTicket) {
        return new DummyCallCredentials(1L);
    }

}
