package ru.yandex.intranet.d.services.integration.providers.security;

import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;
import reactor.core.publisher.Mono;

/**
 * Provider API authentication supplier stub.
 *
 * @author Dmitriy Timashov <dm-tim@yandex-team.ru>
 */
@Component
@Profile({"local", "integration-tests", "test-recipe"})
public class ProviderAuthSupplierStub implements ProviderAuthSupplier {

    @Override
    public Mono<String> getTicket(long destinationId) {
        return Mono.just("test-tvm-ticket");
    }

}
