package ru.yandex.intranet.d.services.integration.yt

import kotlinx.coroutines.flow.Flow
import ru.yandex.inside.yt.kosher.cypress.YPath

/**
 * YT reader interface.
 *
 * @author Dmitriy Timashov <dm-tim@yandex-team.ru>
 */
interface YtReader {
    suspend fun <T> readTable(path: YPath, clazz: Class<T>): Flow<T>
    suspend fun checkClusterLiveness()
    suspend fun checkNodeExists(node: YPath): Boolean
}
