package ru.yandex.intranet.d.services.operations.model

import ru.yandex.intranet.d.kotlin.AccountId
import ru.yandex.intranet.d.kotlin.FolderId
import ru.yandex.intranet.d.kotlin.ResourceId
import ru.yandex.intranet.d.model.accounts.AccountModel
import ru.yandex.intranet.d.model.accounts.AccountsQuotasModel
import ru.yandex.intranet.d.model.folders.FolderModel
import ru.yandex.intranet.d.model.quotas.QuotaModel

data class MoveProvisionContext(
    val sourceAccount: AccountModel,
    val destinationAccount: AccountModel,
    val sourceFolder: FolderModel,
    val destinationFolder: FolderModel,
    val folderQuotaByFolderIdResourceId: Map<FolderId, Map<ResourceId, QuotaModel>>,
    val accountQuotaByAccountIdResourceId: Map<AccountId, Map<ResourceId, AccountsQuotasModel>>
)
