package ru.yandex.intranet.d.services.operations.model

import ru.yandex.intranet.d.model.accounts.AccountModel
import ru.yandex.intranet.d.model.accounts.AccountsQuotasModel
import ru.yandex.intranet.d.model.folders.FolderModel
import ru.yandex.intranet.d.model.quotas.QuotaModel

/**
 * Provide reserve context.
 *
 * @author Dmitriy Timashov <dm-tim@yandex-team.ru>
 */
data class ProvideReserveContext(
    val account: AccountModel,
    val folder: FolderModel,
    val folderQuotasByResourceId: Map<String, QuotaModel>,
    val provisionsByAccountIdResourceId: Map<String, Map<String, AccountsQuotasModel>>,
    val accountsById: Map<String, AccountModel>
)
