package ru.yandex.intranet.d.services.transfer.model

import ru.yandex.intranet.d.model.loans.LoanDueDate
import ru.yandex.intranet.d.model.loans.LoanModel

/**
 * Pre validated loan parameters.
 *
 * @author Dmitriy Timashov <dm-tim@yandex-team.ru>
 */
data class ValidatedLoanParameters(
    val borrowParameters: ValidatedLoanBorrowParameters?,
    val payOffParameters: ValidatedLoanPayOffParameters?,
    val provideOverCommitReserve: Boolean?,
)


data class ValidatedLoanBorrowParameters(
    val dueDate: LoanDueDate
)

data class ValidatedLoanPayOffParameters(
    val loan: LoanModel
)
