package ru.yandex.intranet.d.services.transfer.model

import ru.yandex.intranet.d.model.accounts.AccountModel
import ru.yandex.intranet.d.model.folders.FolderModel
import ru.yandex.intranet.d.model.providers.ProviderModel
import ru.yandex.intranet.d.model.resources.ResourceModel
import ru.yandex.intranet.d.model.resources.segmentations.ResourceSegmentationModel
import ru.yandex.intranet.d.model.resources.segments.ResourceSegmentModel
import ru.yandex.intranet.d.model.resources.types.ResourceTypeModel
import ru.yandex.intranet.d.model.services.ServiceMinimalModel
import ru.yandex.intranet.d.model.units.UnitsEnsembleModel
import ru.yandex.intranet.d.model.users.UserModel

data class ValidatedProvisionTransferParameters(
    val provisionTransfers: List<ValidatedProvisionTransfer>,
    val accounts: List<AccountModel>,
    val folders: List<FolderModel>,
    val services: List<ServiceMinimalModel>,
    val resources: List<ResourceModel>,
    val resourceTypes: List<ResourceTypeModel>,
    val segments: List<ResourceSegmentModel>,
    val segmentations: List<ResourceSegmentationModel>,
    val providers: List<ProviderModel>,
    val unitsEnsembles: List<UnitsEnsembleModel>,
    val users: List<UserModel>,
)
