package ru.yandex.intranet.d.web.model.aggregation

import com.fasterxml.jackson.annotation.JsonCreator
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import io.swagger.v3.oas.annotations.media.Schema

/**
 * Find service totals response DTO.
 *
 * @author Dmitriy Timashov <dm-tim@yandex-team.ru>
 */
@Schema(description = "Find service totals response.")
@JsonIgnoreProperties(ignoreUnknown = true)
data class FindServiceTotalsResponseDto @JsonCreator constructor(
    @get:Schema(description = "Aggregates list.", required = true)
    val aggregates: List<FindServiceTotalsAggregateDto>
)
