package ru.yandex.intranet.d.web.model.aggregation

import com.fasterxml.jackson.annotation.JsonCreator
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import io.swagger.v3.oas.annotations.media.Schema

/**
 * Get providers by service request DTO.
 *
 * @author Mustakayev Marat <mmarat248@yandex-team.ru>
 */
@Schema(description = "Get providers by service request.")
@JsonIgnoreProperties(ignoreUnknown = true)
data class GetProvidersByServiceRequestDto @JsonCreator constructor(
    @get:Schema(description = "Root service id.", required = true)
    val rootServiceId: Long?,
)
