package ru.yandex.intranet.d.web.model.providers

import com.fasterxml.jackson.annotation.JsonCreator
import com.fasterxml.jackson.annotation.JsonValue
import io.swagger.v3.oas.annotations.media.Schema

/**
 * Potentially free provision amounts aggregation mode input DTO.
 *
 * @author Dmitriy Timashov <dm-tim@yandex-team.ru>
 */
@Schema(description = "Potentially free provision amounts aggregation mode.")
enum class FreeProvisionAggregationModeInputDto {
    UNKNOWN,
    NONE,
    UNALLOCATED_TRANSFERABLE,
    UNALLOCATED_TRANSFERABLE_UNUSED_DEALLOCATABLE,
    UNDERUTILIZED_TRANSFERABLE;

    @JsonValue
    fun toJsonValue(): String {
        return name
    }

    companion object {
        @JsonCreator
        @JvmStatic
        fun fromJsonValue(value: String?): FreeProvisionAggregationModeInputDto? {
            if (value == null) {
                return null
            }
            return try {
                valueOf(value)
            } catch (e: IllegalArgumentException) {
                UNKNOWN
            }
        }
    }
}
