package ru.yandex.intranet.d.web.model.transfers.api

import com.fasterxml.jackson.annotation.JsonCreator
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import io.swagger.v3.oas.annotations.media.Schema

/**
 * Transfer request loan pay off parameters DTO.
 *
 * @author Dmitriy Timashov <dm-tim@yandex-team.ru>
 */
@Schema(description = "Transfer request loan pay off parameters.")
@JsonIgnoreProperties(ignoreUnknown = true)
data class TransferLoanPayOffParametersDto @JsonCreator constructor(
    @Schema(description = "Loan id for pay off.", required = true)
    val loanId: String?
)
