JAVA_PROGRAM(d-backend)

OWNER(g:intranet-d)

PEERDIR(
    intranet/d/backend/service/proto
    intranet/d/backend/service/provider_proto
    intranet/d/backend/service/recipe_proto

    logbroker/unified_agent/client/java/log4j2
    library/java/monlib/metrics
    library/java/monlib/metrics-log4j2
    library/java/monlib/metrics-jvm
    kikimr/public/sdk/java/table
    direct/libs/scheduler
    direct/libs/hourglass
    direct/libs/hourglass-ydb
    library/java/svnversion
    ydb/library/yql/core/issue/protos
    yt/java/ytclient
    solomon/protos/api/v3

    contrib/java/org/springframework/boot/spring-boot-starter-webflux
    contrib/java/org/springframework/boot/spring-boot-starter-security
    contrib/java/org/springframework/boot/spring-boot-starter-log4j2
    contrib/java/org/springframework/boot/spring-boot-starter-mail
    contrib/java/org/springframework/boot/spring-boot-starter-thymeleaf
    contrib/java/net/devh/grpc-spring-boot-starter
    contrib/java/com/salesforce/servicelibs/reactor-grpc-stub
    contrib/java/org/apache/logging/log4j/log4j-jcl
    contrib/java/org/apache/logging/log4j/log4j-1.2-api
    contrib/java/com/lmax/disruptor
    contrib/java/org/apache/commons/commons-compress
    contrib/java/org/tukaani/xz
    contrib/java/io/netty/netty-tcnative-linux-x86_64
    contrib/java/io/netty/netty-transport-native-unix-common
    contrib/java/io/netty/netty-resolver-dns
    contrib/java/io/projectreactor/addons/reactor-extra
    contrib/java/org/springdoc/springdoc-openapi-webflux-ui
    contrib/java/com/google/api/grpc/proto-google-common-protos
    contrib/java/it/unimi/dsi/fastutil
    contrib/java/com/fasterxml/jackson/module/jackson-module-kotlin

    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-slf4j
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-reactive
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-reactor
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-jdk8
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-test
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-guava
    contrib/java/io/github/microutils/kotlin-logging-jvm
    contrib/java/io/github/resilience4j/resilience4j-kotlin
    contrib/java/io/github/resilience4j/resilience4j-retry
)

JDK_VERSION(17)

JAVAC_FLAGS(
    -parameters
)

KOTLINC_FLAGS(
    -java-parameters
)

INCLUDE(${ARCADIA_ROOT}/intranet/d/backend/service/versions.inc)

WITH_KOTLIN()

JAVA_SRCS(SRCDIR java **/*.java)
JAVA_SRCS(SRCDIR java **/*.kt)
JAVA_SRCS(SRCDIR resources **/*)

JAVA_DEPENDENCIES_CONFIGURATION(FORBID_DEFAULT_VERSIONS FORBID_CONFLICT FORBID_CONFLICT_DM_RECENT)
LINT(extended)
USE_ERROR_PRONE()
CHECK_JAVA_DEPS(yes)

END()

