JUNIT5()

OWNER(g:intranet-d)

ENV(YDB_USE_IN_MEMORY_PDISKS=true)

FORK_TESTS() SPLIT_FACTOR(5)

PEERDIR(
    intranet/d/backend/service/app/src/test_common
)

JDK_VERSION(17)

JAVAC_FLAGS(
    -parameters
)

KOTLINC_FLAGS(
    -java-parameters
)

INCLUDE(${ARCADIA_ROOT}/intranet/d/backend/service/versions.inc)
INCLUDE(${ARCADIA_ROOT}/intranet/d/backend/service/versions_test.inc)

INCLUDE(${ARCADIA_ROOT}/library/recipes/tvmtool/recipe_with_default_cfg.inc)
INCLUDE(${ARCADIA_ROOT}/kikimr/public/tools/ydb_recipe/recipe_stable.inc)

WITH_KOTLIN()

JVM_ARGS(-Dio.netty.leakDetection.level=paranoid)

JAVA_SRCS(SRCDIR java **/*.java)
JAVA_SRCS(SRCDIR java **/*.kt)

JAVA_DEPENDENCIES_CONFIGURATION(
    FORBID_DEFAULT_VERSIONS
    FORBID_CONFLICT
    # Temporary workaround for missing xmlunit-placeholders-2.8.4
    # FORBID_CONFLICT_DM_RECENT
)
LINT(extended)
USE_ERROR_PRONE()
CHECK_JAVA_DEPS(yes)

TAG(ya:fat ya:force_sandbox ya:sandbox_coverage sb:ssd)

SIZE(LARGE)

REQUIREMENTS(cpu:6 disk_usage:50 ram:25)

END()
