# Заказ ресурсов

В этом документе описаны этапы заказа ресурсов. Даты начала и завершения каждого этапа могут быть изменены; изменения сроков анонсируются отдельно.

## Этапы процесса заказа ресурсов

Заказ ресурсов - процесс приобретения серверных ресурсов и выдачи их пользователям. Состоит из:
- составления прогнозов провайдерами;
- корректировки прогнозов;
- размещения заказа на серверы и заведения лимитов в систему сбора заявок;
- сбора заявок от пользователей;
- сбора заявок от продуктовых направлений;
- корректировки и утверждения заявок от продуктовых направлений;
- поставки серверов и подготовке к выдаче ресурсов;
- выдачи ресурсов.

### Составление прогнозов провайдерами

Провайдеры рассчитывают количество ресурсов, которое потребуется пользователям. При расчете используются данные о:
- росте потребления ресурсов пользователями за предыдущие годы;
- планах крупных потребителей на запуски новых продуктов;
- имеющихся резервах;
- планы по развитию собственного сервиса - оптимизации, новые типы ресурсов и тп.

Прогноз - разница между расчетным количеством ресурсов и имеющимся. На основе прогноза будет рассчитано количество серверов и их распределение по дата-центрам.

### Корректировка прогнозов

Прогнозы роста от провайдеров рассматривается инфраструктурным комитетом - стоимость закупки серверов для всех провайдеров должна соответствовать финансовым планам компании, а закупаемые серверы - уместиться в дата-центрах.

При необходимости провайдер корректирует прогноз.

### Размещение заказа на серверы и заведения лимитов в систему сбора заявок

На основе скорректированных прогнозов провайдеры размещают заказы в сервисе HWR - по этим заказам будут закуплены, введены в эксплуатацию и переданы провайдеру серверы.

### Сбор заявок от пользователей

Пользователи создают заявки на ресурсы для своих ABC-сервисов в системе сбора заявок - выбирают провайдеров и ресурсы, указывают желаемое количество на каждую дату поставки.

Заявки от ABC-сервисов создаются в _черновой_ кампании и учитываются _Ответственным за capacity-planning_ при создани заявок в _бюджетной_ кампании. Ресурсы по этим заявкам выдаваться не будут.

### Сбора заявок от продуктовых направлений

Ответственные за capacity-planning_ и _Ответственные за заказ ресурсов_ создаются заявки для своих продуктовых направлений и VS в системе сбора заявок.

Заявки от продуктовых направлений создаются в _бюджетной_ кампании. По этим заявкам будет производится выдача ресурсов.

### Корректировка и утверждение заявок от продуктовых направлений

Рассмотрение заявок _бюджетной_ кампании инфраструктурным комитетом. Заявки корректируются:
- по стоимости: стоимость владения ресурсами заявок должна соотвествовать финансовым планам по каждому продуктовому направлению;
- по количеству: общее количество ресурсов всех заявок не должна превышать ограничения провайдеров на количество ресурсов.

### Поставка серверов и подготовка к выдаче ресурсов

После получения серверов провайдер вводит их в эксплуатацию для выдачи ресурсов по заявкам _бюджетной_ кампании.

### Выдача ресурсов

Выдача ресурсов происходит:
- автоматически, если управления ресурсами провайдера доступно в Сервисе D Управление квотами;
- вручную силами провайдера - для всех остальных провайдеров.

## Расписание этапов

Этап | Срок
:--- | :---
Составление прогнозов провайдерами | 1-31 июля
Корректировка прогнозов | 1-31 июля
Размещение заказа на серверы и заведения лимитов в систему сбора заявок | 1-31 июля
Сбор заявок от пользователей | 1-31 августа
Сбора заявок от продуктовых направлений | 1 августа - 30 сентября
Корректировка и утверждение заявок от продуктовых направлений | 1-30 октября
Поставка серверов и подготовка к выдаче ресурсов 1 даты поставки | 1-30 ноября
Выдача ресурсов 1 даты поставки | 1-31 декабря
Поставка серверов и подготовка к выдаче ресурсов 2 даты поставки | 1-31 мая
Выдача ресурсов 2 даты поставки | 1-30 июня
Поставка серверов и подготовка к выдаче ресурсов 3 даты поставки | 1-30 сентября
Выдача ресурсов 3 даты поставки | 1-31 октября
