# Участие провайдера в заказе на ресурсы

В документе перечислены задачи _провайдера_, участвующего в заказе ресурсов.

{% note warning %}

Указанные периоды времени могут быть изменены или уточнены, изменения будут анонсированы отдельно.

{% endnote %}

## Выбор ресурсов

**Когда:** июль

Провайдер составляет список ресурсов, которые будут доступны к выбору в [системе сбора заявок](https://abc.yandex-team.ru/hardware/). Ресурсы могут быть сегментированы по дата-центрам, кластерам, сегментам и пр.

Если провайдер поддерживает управление квотами в Сервисе D, для сбора заявок следует использовать те же ресурсы. Это сделает процесс заказа, получения, управления ресурсами прозрачным для пользователя и технически упростит выдачу заказа.

Также следует учесть планы по изменению ресурсов и/или используемых дата-центров, кластеров, сегментов - если такие планы имеются. Когда эти планы будут реализованы, состав заказа останется актуальным.

## Составление прогноза роста

**Когда:** июль

Провайдер составляет прогноз по количеству своих ресурсов на каждую дату поставки нового заказа. Прогноз нужен для понимания количества и конфигураций серверов, распределения по дата-центрам.

При составлении прогноза следует учесть:
- рост потребления ресурсов пользователями за предыдущие годы;
- информацию о планах крупных потребителей;
- имеющиеся резервы;
- планы по развитию собственного сервиса - оптимизации, новые типы ресурсов и тп.

## Корректировка прогноза

**Когда:** июль

Прогноз роста провайдера рассматривается инфраструктурным комитетом - стоимость закупки серверов должна соответствовать финансовым планам компании, а закупаемые серверы - уместиться в дата-центрах.

При необходимости провайдер корректирует прогноз.

## Создание заказа в HWR и добавление лимитов в систему сбора заявок

**Когда:** июль

На основе полученного на предыдущем шаге прогноза провайдер:
- создает заказы на серверы в сервисе [HWR](http://hwr.yandex-team.ru). Документация к сервису HWR: [ссылка](https://wiki.yandex-team.ru/dca/services/hwr/);
- вносит ограничения по своим ресурсам в систему сбора заявок. Ограничения - количество ресурсов из составленного прогноза - вносятся с помощью [утилиты](https://a.yandex-team.ru/svn/trunk/arcadia/intranet/dispenser/utils/base-limits-tool) или в [API](https://dispenser.yandex-team.ru/common/api/api-docs?url=/common/api/swagger.json#/dispenser-api/create_2).

## Получение серверов

**Когда:** ноябрь, май, сентябрь

Провайдер отслеживает готовность серверов к выдаче в сервисе [HWR](http://hwr.yandex-team.ru) и вводит сервера в эксплуатацию для выдачи ресурсов пользователям.

## Выдача заказанных ресурсов

**Когда:** декабрь, июнь, октябрь

Провайдер отмечает ресурсы в заявках бюджетной кампании _Готовыми к выдаче_. Для этого нужно выполнить запрос в [API](https://dispenser.yandex-team.ru/common/api/api-docs?url=/common/api/swagger.json#/dispenser-api/setResourceQuotaState) системы сбора заявок

После выполнения этого действия пользователю становитса доступна кнопка _Получить квоту_. Выдача ресурсов происходит автоматически, или вручную силами провайдера.
