package ru.yandex.qe.dispenser.api.v1;

import java.util.Objects;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public final class DiBotBigOrder {

    private final long id;
    private final String date;

    @JsonCreator
    public DiBotBigOrder(@JsonProperty("id") long id,
                         @JsonProperty("date") String date) {
        this.id = id;
        this.date = date;
    }

    public long getId() {
        return id;
    }

    public String getDate() {
        return date;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        DiBotBigOrder that = (DiBotBigOrder) o;
        return id == that.id &&
                Objects.equals(date, that.date);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, date);
    }

    @Override
    public String toString() {
        return "DiBotBigOrder{" +
                "id=" + id +
                ", date='" + date + '\'' +
                '}';
    }

}
