JAVA_LIBRARY(commons-bus)

OWNER(g:dispenser)

INCLUDE(${ARCADIA_ROOT}/intranet/dispenser/dispenser-service/versions.inc)

PEERDIR(
    intranet/dispenser/dispenser-service/lib/commons-spring
    intranet/dispenser/dispenser-service/lib/commons-util-bundle
    intranet/dispenser/dispenser-service/lib/commons-util-lang
    intranet/dispenser/dispenser-service/lib/commons-http-certificates
    intranet/dispenser/dispenser-service/lib/commons-json

    contrib/java/org/springframework/security/spring-security-core

    contrib/java/com/fasterxml/jackson/core/jackson-annotations
    contrib/java/com/fasterxml/jackson/jaxrs/jackson-jaxrs-json-provider

    contrib/java/org/apache/cxf/cxf-rt-frontend-jaxws
    contrib/java/org/apache/cxf/cxf-rt-frontend-jaxrs
    contrib/java/org/apache/cxf/cxf-rt-transports-http-hc
    contrib/java/org/apache/cxf/cxf-rt-rs-client
    contrib/java/org/apache/cxf/cxf-rt-rs-service-description

    contrib/java/org/apache/httpcomponents/httpasyncclient
    contrib/java/org/apache/httpcomponents/httpclient
    contrib/java/org/apache/httpcomponents/httpcore-nio

    contrib/java/org/ow2/asm/asm
    contrib/java/jakarta/xml/ws/jakarta.xml.ws-api

)

EXCLUDE(
    contrib/java/org/codehaus/woodstox/woodstox-core-asl
)

JDK_VERSION(17)

JAVAC_FLAGS(
    -parameters
)

KOTLINC_FLAGS(
    -java-parameters
)

WITH_KOTLIN()

JAVA_SRCS(SRCDIR src/main/java **/*.java)
JAVA_SRCS(SRCDIR src/main/java **/*.kt)
JAVA_SRCS(SRCDIR src/main/resources **/*)

NO_LINT()
CHECK_JAVA_DEPS(yes)
JAVA_DEPENDENCIES_CONFIGURATION(REQUIRE_DM FORBID_DEFAULT_VERSIONS FORBID_CONFLICT)

END()

RECURSE_FOR_TESTS(
    src/test
)
