JAVA_LIBRARY(commons-spring)

OWNER(g:dispenser)

INCLUDE(${ARCADIA_ROOT}/intranet/dispenser/dispenser-service/versions.inc)

PEERDIR(
    intranet/dispenser/dispenser-service/lib/commons-logging

    contrib/java/com/google/code/findbugs/jsr305
    contrib/java/jakarta/annotation/jakarta.annotation-api
    contrib/java/org/apache/commons/commons-lang3
    contrib/java/commons-io/commons-io
    contrib/java/javax/servlet/javax.servlet-api
    contrib/java/com/google/guava/guava
    contrib/java/javax/inject/javax.inject

    contrib/java/org/springframework/spring-core
    contrib/java/org/springframework/spring-context
    contrib/java/org/springframework/spring-jdbc
    contrib/java/org/springframework/spring-tx
    contrib/java/org/springframework/spring-webmvc
    contrib/java/org/springframework/spring-expression
    contrib/java/org/springframework/spring-beans
    contrib/java/org/springframework/spring-aop
    contrib/java/org/springframework/spring-context-support
    contrib/java/org/springframework/spring-orm
    contrib/java/org/springframework/spring-web
    contrib/java/org/springframework/spring-aspects
)

JDK_VERSION(17)

JAVAC_FLAGS(
    -parameters
)

KOTLINC_FLAGS(
    -java-parameters
)

WITH_KOTLIN()

JAVA_SRCS(SRCDIR src/main/java **/*.java)
JAVA_SRCS(SRCDIR src/main/java **/*.kt)
JAVA_SRCS(SRCDIR src/main/resources **/*)

NO_LINT()
CHECK_JAVA_DEPS(yes)
JAVA_DEPENDENCIES_CONFIGURATION(REQUIRE_DM FORBID_DEFAULT_VERSIONS FORBID_CONFLICT_DM_RECENT)

END()

RECURSE_FOR_TESTS(
    src/test
)
