package ru.yandex.qe.dispenser.domain.support;

import java.util.Map;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import ru.yandex.qe.dispenser.api.v1.DiQuotaChangeCause;
import ru.yandex.qe.dispenser.api.v1.request.DiProcessingMode;
import ru.yandex.qe.dispenser.domain.Entity;
import ru.yandex.qe.dispenser.domain.Project;

public final class EntitySharingRelease extends EntityOperationBase {
    @NotNull
    private final Project project;

    public EntitySharingRelease(@NotNull final DiProcessingMode mode,
                                @NotNull final Entity entity,
                                @NotNull final Project project,
                                @Nullable final DiQuotaChangeCause cause) {
        super(mode, entity, cause);
        this.project = project;
    }

    @Override
    public void processOverUsages(@NotNull final Map<Project, Integer> usages) {
        usages.remove(project);
    }
}
