package ru.yandex.qe.dispenser.ws.allocation;

import java.util.Collection;

import ru.yandex.qe.dispenser.domain.Person;
import ru.yandex.qe.dispenser.domain.QuotaChangeRequest;
import ru.yandex.qe.dispenser.ws.bot.Provider;

public abstract class ResourceRequestAllocationWorkflow {

    private final Provider provider;

    protected ResourceRequestAllocationWorkflow(final Provider provider) {
        this.provider = provider;
    }

    public Provider getProvider() {
        return provider;
    }

    public abstract void onAllocationRequest(QuotaChangeRequest request, Collection<QuotaChangeRequest.Change> changes,
                                             Person performer, boolean suppressSummon);
}
