package ru.yandex.qe.dispenser.ws.base_resources.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class BaseResourceChangesRefreshTask {

    private static final Logger LOG = LoggerFactory.getLogger(BaseResourceChangesRefreshTask.class);

    private final BaseResourceChangesRefreshManager baseResourceChangesRefreshManager;

    public BaseResourceChangesRefreshTask(BaseResourceChangesRefreshManager baseResourceChangesRefreshManager) {
        this.baseResourceChangesRefreshManager = baseResourceChangesRefreshManager;
    }

    public void run() {
        LOG.info("Refreshing base resource changes...");
        baseResourceChangesRefreshManager.refreshBaseResourceChanges();
        LOG.info("Successfully refreshed base resource changes");
    }

}
