package ru.yandex.qe.dispenser.ws.quota.request.owning_cost.pre_calculation_chain;

import ru.yandex.qe.dispenser.ws.quota.request.owning_cost.QuotaChangeRequestOwningCostContext;

/**
 * Pre calculation changes for calculating owning cost.
 *
 * @author Ruslan Kadriev <aqru@yandex-team.ru>
 */
public interface PreCalculation {
    /**
     * Modify changes before calculation owning cost.
     *
     * @param quotaChangeRequestOwningCostContext for pre calculation, can be aggregated from multiple quota change request's
     * @return prepared for calculation owning cost changes, can return not all entity's from provided changes
     */
    QuotaChangeRequestOwningCostContext apply(QuotaChangeRequestOwningCostContext quotaChangeRequestOwningCostContext);
}
