JAVA_PROGRAM(base-resource-mapping-validator)

JDK_VERSION(17)

OWNER(g:dispenser)

PEERDIR(
    contrib/java/org/springframework/boot/spring-boot-starter-webflux
    contrib/java/org/springframework/boot/spring-boot-starter-log4j2
    contrib/java/org/apache/logging/log4j/log4j-jcl
    contrib/java/org/apache/logging/log4j/log4j-1.2-api
    contrib/java/com/lmax/disruptor
    contrib/java/org/apache/commons/commons-compress
    contrib/java/org/tukaani/xz
    contrib/java/io/netty/netty-tcnative-linux-x86_64
    contrib/java/io/netty/netty-transport-native-unix-common
    contrib/java/io/netty/netty-resolver-dns
    contrib/java/io/projectreactor/addons/reactor-extra
    contrib/java/com/fasterxml/jackson/module/jackson-module-kotlin
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-slf4j
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-reactive
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-reactor
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-jdk8
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-test
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-guava
    contrib/java/io/github/microutils/kotlin-logging-jvm
    contrib/java/io/github/resilience4j/resilience4j-kotlin
    contrib/java/io/github/resilience4j/resilience4j-retry
)

JAVAC_FLAGS(
    -parameters
)

KOTLINC_FLAGS(
    -java-parameters
)

INCLUDE(${ARCADIA_ROOT}/intranet/dispenser/utils/base_resource_mapping_validator/versions.inc)

WITH_KOTLIN()

JAVA_SRCS(SRCDIR java **/*.java)
JAVA_SRCS(SRCDIR java **/*.kt)
JAVA_SRCS(SRCDIR resources **/*)

JAVA_DEPENDENCIES_CONFIGURATION(FORBID_DEFAULT_VERSIONS FORBID_CONFLICT FORBID_CONFLICT_DM_RECENT)
LINT(extended)
USE_ERROR_PRONE()
CHECK_JAVA_DEPS(yes)

END()

