from .base import Settings as BaseSettings
from typing import List


class Settings(BaseSettings):
    db_pool_min_size: int = 50
    db_pool_max_size: int = 400

    webmaster_host: str = 'https://webmaster3-internal.prod.in.yandex.net'
    webmaster_tvm2_client: str = '2000036'

    gendarme_host: str = 'https://gendarme.mail.yandex.net'
    gendarme_tvm2_client: str = '2002834'

    passport_host: str = 'http://passport-internal.yandex.ru'

    blackbox_url: str = 'http://blackbox.yandex.net/blackbox/'
    blackbox_tvm2_client: str = '222'

    fouras_host: str = 'https://fouras.mail.yandex.net'
    fouras_tvm2_client: str = '2012036'

    connect_host: str = 'https://api-internal.directory.ws.yandex.net'
    connect_tvm2_client: str = '2000205'

    passport_tvm2_client: str = '2000078'

    redis_host: str = 'man-onhoctqfscfpuyzm.db.yandex.net,sas-xwepzgqohv797hdy.db.yandex.net,vla-g6mtoxvppsmceo8h.db.yandex.net'
    redis_port: str = '26379'

    logbroker_write_endpoint = 'logbroker.yandex.net'
    logbroker_port: str = '2135'
    logbroker_topic = 'domenator_logbroker/prod/domenator-topic'
    mail_domains_shared_admin_uid = '287510037'

    mailsettings_host: str = 'http://settings.mail.yandex.net'
    mailsettings_tvm2_client: str = '2002474'

    events_saving_enabled = False

    sender_host: str = 'https://sender.yandex-team.ru'
    sender_tvm2_client: str = '206'

    users_with_emulation: List[str] = ['1447610229', '1447610685']
    users_allowed_to_set_register_ts: List[str] = ['1447609217', '1447609508', '1447609860', '1447610229', '1447610685']
