PY3TEST()

OWNER(g:tools-domenator)

INCLUDE(${ARCADIA_ROOT}/antiadblock/postgres_local/recipe/recipe.inc)

DEPENDS(
    antiadblock/postgres_local/recipe
    intranet/domenator/migrations
)

ENV(PYTEST_ADDOPTS=-l)
ENV(ENV_TYPE=development)

PEERDIR(
    intranet/domenator/src
    contrib/python/mock
    contrib/python/gino
    contrib/python/vcrpy
    contrib/python/pytest-asyncio
    contrib/python/httpx
    contrib/python/asynctest
    contrib/python/ipdb
)


TEST_SRCS(
    api/test_auth.py
    api/test_domain.py
    api/test_domain_token.py
    api/test_private_domain.py
    api/test_ping.py
    api/test_registrar.py
    tasks/test_renew_domains.py
    tasks/test_sync_expired_at.py
    unit/test_domain.py
    unit/test_event.py
    conftest.py
    helpers.py
)

DATA(
    arcadia/intranet/domenator/vcr_cassettes
)

SIZE(MEDIUM)

FORK_SUBTESTS()
SPLIT_FACTOR(6)

END()
