PY3_LIBRARY(femida.api)

OWNER(g:tools-femida)

PEERDIR(
    intranet/femida/src
)

PY_SRCS(
    __init__.py
    actionlog/__init__.py
    actionlog/forms.py
    actionlog/serializers.py
    actionlog/urls.py
    actionlog/views.py
    applications/__init__.py
    applications/dashboard/__init__.py
    applications/dashboard/forms.py
    applications/dashboard/serializers.py
    applications/dashboard/views.py
    applications/forms.py
    applications/serializers.py
    applications/urls.py
    applications/views.py
    assignments/__init__.py
    assignments/forms.py
    assignments/permissions.py
    assignments/serializers.py
    assignments/urls.py
    assignments/views.py
    attachments/__init__.py
    attachments/serializers.py
    attachments/urls.py
    attachments/views.py
    candidates/__init__.py
    candidates/forms.py
    candidates/mixins.py
    candidates/permissions.py
    candidates/serializers.py
    candidates/urls.py
    candidates/utils.py
    candidates/views.py
    categories/__init__.py
    categories/permissions.py
    categories/serializers.py
    categories/urls.py
    categories/views.py
    certifications/__init__.py
    certifications/forms.py
    certifications/serializers.py
    certifications/urls.py
    certifications/views.py
    challenges/__init__.py
    challenges/forms.py
    challenges/serializers.py
    challenges/urls.py
    challenges/views.py
    cities/__init__.py
    cities/serializers.py
    cities/urls.py
    cities/views.py
    comments/__init__.py
    comments/forms.py
    comments/serializers.py
    comments/urls.py
    comments/views.py
    communications/__init__.py
    communications/forms.py
    communications/permissions.py
    communications/serializers.py
    communications/urls.py
    communications/views.py
    complaints/__init__.py
    complaints/forms.py
    complaints/serializers.py
    complaints/urls.py
    complaints/views.py
    considerations/__init__.py
    considerations/dashboard/__init__.py
    considerations/dashboard/forms.py
    considerations/dashboard/serializers.py
    considerations/dashboard/views.py
    considerations/serializers.py
    considerations/urls.py
    considerations/views.py
    core/__init__.py
    core/authentication_mechanisms/__init__.py
    core/authentication_mechanisms/http_header_tvm.py
    core/authentication.py
    core/choice_serializers.py
    core/errors.py
    core/fetchers.py
    core/fields.py
    core/forms.py
    core/pagination.py
    core/permissions.py
    core/renderers.py
    core/serializers.py
    core/validators.py
    core/views.py
    duplication_cases/__init__.py
    duplication_cases/serializers.py
    duplication_cases/urls.py
    duplication_cases/views.py
    external_urls.py
    forms_constructor/__init__.py
    forms_constructor/forms.py
    forms_constructor/permissions.py
    forms_constructor/views.py
    frontend/__init__.py
    frontend/urls.py
    frontend/views.py
    hh/__init__.py
    hh/forms.py
    hh/urls.py
    hh/views.py
    hire_orders/__init__.py
    hire_orders/forms.py
    hire_orders/permissions.py
    hire_orders/serializers.py
    hire_orders/urls.py
    hire_orders/views.py
    interviews/__init__.py
    interviews/forms.py
    interviews/permissions.py
    interviews/serializers.py
    interviews/urls.py
    interviews/views.py
    interview_rounds/__init__.py
    interview_rounds/urls.py
    interview_rounds/views.py
    isearch/__init__.py
    isearch/fetchers.py
    isearch/permissions.py
    isearch/views.py
    jobs/__init__.py
    jobs/suggest/__init__.py
    jobs/suggest/forms.py
    jobs/suggest/suggest.py
    jobs/suggest/urls.py
    jobs/suggest/views.py
    monitoring/__init__.py
    monitoring/urls.py
    monitoring/views.py
    oebs/__init__.py
    oebs/serializers.py
    oebs/urls.py
    oebs/views.py
    offers/__init__.py
    offers/base_forms.py
    offers/base_views.py
    offers/forms.py
    offers/serializers.py
    offers/urls.py
    offers/views.py
    preprofiles/__init__.py
    preprofiles/forms.py
    preprofiles/serializers.py
    preprofiles/views.py
    presets/__init__.py
    presets/forms.py
    presets/serializers.py
    presets/urls.py
    presets/views.py
    private_urls.py
    problems/__init__.py
    problems/forms.py
    problems/permissions.py
    problems/serializers.py
    problems/urls.py
    problems/views.py
    professions/__init__.py
    professions/serializers.py
    professions/urls.py
    professions/views.py
    public_professions/__init__.py
    public_professions/serializers.py
    public_professions/urls.py
    public_professions/views.py
    publications/__init__.py
    publications/external/__init__.py
    publications/external/forms.py
    publications/external/serializers.py
    publications/external/urls.py
    publications/external/views.py
    publications/forms.py
    publications/permissions.py
    publications/serializers.py
    publications/urls.py
    publications/views.py
    references/__init__.py
    references/forms.py
    references/serializers.py
    references/urls.py
    references/views.py
    reminders/__init__.py
    reminders/forms.py
    reminders/serializers.py
    reminders/urls.py
    reminders/views.py
    rotations/__init__.py
    rotations/forms.py
    rotations/serializers.py
    rotations/urls.py
    rotations/views.py
    schemas.py
    services/__init__.py
    services/serializers.py
    services/urls.py
    services/views.py
    skills/__init__.py
    skills/serializers.py
    staff/__init__.py
    staff/permissions.py
    staff/serializers.py
    stats/__init__.py
    stats/getters.py
    stats/urls.py
    stats/utils.py
    stats/views.py
    submissions/__init__.py
    submissions/forms.py
    submissions/serializers.py
    submissions/urls.py
    submissions/views.py
    suggest/__init__.py
    suggest/urls.py
    suggest/views.py
    text_templates/__init__.py
    text_templates/urls.py
    text_templates/views.py
    tracker/__init__.py
    tracker/views.py
    urls.py
    users/__init__.py
    users/forms.py
    users/serializers.py
    users/urls.py
    users/views.py
    vacancies/__init__.py
    vacancies/fields.py
    vacancies/forms.py
    vacancies/serializers.py
    vacancies/urls.py
    vacancies/views.py
    vacancy_groups/__init__.py
    vacancy_groups/forms.py
    vacancy_groups/serializers.py
    vacancy_groups/urls.py
    vacancy_groups/views.py
    views.py
)

END()
