PY3_LIBRARY(femida.candidates)

OWNER(g:tools-femida)

PEERDIR(
    intranet/femida/src
    intranet/femida/src/applications
    intranet/femida/src/attachments
    intranet/femida/src/candidates/migrations
    intranet/femida/src/core
    intranet/femida/src/interviews
    intranet/femida/src/offers
    intranet/femida/src/permissions
    intranet/femida/src/vacancies
)

PY_SRCS(
    __init__.py
    admin.py
    apps.py
    amazing_hiring/__init__.py
    amazing_hiring/serializers.py
    bulk_upload/__init__.py
    bulk_upload/cache.py
    bulk_upload/choices.py
    bulk_upload/controllers.py
    bulk_upload/exceptions.py
    bulk_upload/forms.py
    bulk_upload/serializers.py
    bulk_upload/uploaders.py
    challenges/__init__.py
    challenges/workflow.py
    choices.py
    consideration_issues/__init__.py
    consideration_issues/base.py
    consideration_issues/issue_types.py
    consideration_issues/signals.py
    considerations/__init__.py
    considerations/controllers.py
    considerations/helpers.py
    contacts.py
    controllers.py
    deduplication/__init__.py
    deduplication/adapters.py
    deduplication/cases.py
    deduplication/constants.py
    deduplication/exceptions.py
    deduplication/finder.py
    deduplication/merge.py
    deduplication/shortcuts.py
    deduplication/similarity.py
    deduplication/strategies.py
    filters/__init__.py
    filters/base.py
    filters/fields/__init__.py
    filters/fields/base/__init__.py
    filters/fields/base/equal.py
    filters/fields/base/mixins.py
    filters/fields/base/multiple.py
    filters/fields/base/range.py
    filters/fields/base/text.py
    filters/fields/candidates.py
    filters/fields/cities.py
    filters/fields/considerations.py
    filters/fields/educations.py
    filters/fields/jobs.py
    filters/fields/interviews/__init__.py
    filters/fields/interviews/conditions.py
    filters/fields/interviews/filters.py
    filters/fields/interviews/forms.py
    filters/fields/professions.py
    filters/fields/skills.py
    filters/fields/tags.py
    helpers.py
    hh/__init__.py
    hh/serializers.py
    management/__init__.py
    management/commands/__init__.py
    management/commands/create_references_from_sheet.py
    management/commands/migrate_submissions_data.py
    management/commands/add_offers_in_consideration_extended_statuses.py
    management/commands/reopen_candidate.py
    management/commands/upload_candidates_from_sheet.py
    managers.py
    models.py
    references/__init__.py
    references/controllers.py
    rotations/__init__.py
    rotations/controllers.py
    rotations/helpers.py
    scorings/__init__.py
    scorings/uploaders.py
    scorings/forms.py
    signals.py
    startrek/__init__.py
    startrek/issues.py
    startrek/serializers.py
    submissions/__init__.py
    submissions/controllers.py
    submissions/helpers.py
    submissions/internships.py
    submissions/workflow.py
    tasks.py
    verifications/__init__.py
    verifications/controllers.py
    verifications/helpers.py
    workflow.py
)

END()
