PY3_LIBRARY(femida.notifications)

OWNER(g:tools-femida)

PEERDIR(
    intranet/femida/src
    intranet/femida/src/notifications/migrations
)

PY_SRCS(
    __init__.py
    applications.py
    base.py
    candidates.py
    challenges.py
    comments.py
    communications.py
    contest.py
    headers.py
    interviews.py
    models.py
    offers.py
    problems.py
    publication_subscriptions.py
    reminders.py
    serializers.py
    tasks.py
    templatetags/__init__.py
    templatetags/diffs.py
    utils.py
    vacancies.py
)

RESOURCE_FILES(
    PREFIX intranet/femida/src/notifications/

    templates/email/applications/activate.html
    templates/email/applications/base.html
    templates/email/applications/bulk-close/default.txt
    templates/email/applications/bulk-close/forgotten.txt
    templates/email/applications/bulk-close/offer-rejected.txt
    templates/email/applications/bulk-close/vacancy-closed.txt
    templates/email/applications/change-resolution.html
    templates/email/applications/close.html
    templates/email/applications/create.html
    templates/email/applications/proposal-or-request.html
    templates/email/applications/reject.html
    templates/email/base.html
    templates/email/candidates/applications-bulk-create.html
    templates/email/candidates/candidate-interviews-part.html
    templates/email/candidates/complete.html
    templates/email/candidates/create.html
    templates/email/candidates/forgotten-candidates.html
    templates/email/candidates/proposals-create.html
    templates/email/candidates/update.html
    templates/email/challenges/estimate.html
    templates/email/comments/assessments/create.html
    templates/email/comments/complaints/create.html
    templates/email/complaint-create.html
    templates/email/contest/re-register.html
    templates/email/contest/register.html
    templates/email/interviews/cancel.html
    templates/email/interviews/candidate-survey.html
    templates/email/interviews/complain-unfinished-interviews.html
    templates/email/interviews/create.html
    templates/email/interviews/finish.html
    templates/email/interviews/reassign.html
    templates/email/interviews/unfinished-interviews.html
    templates/email/message-create.html
    templates/email/message-fail.html
    templates/email/offers/accepted-internal.html
    templates/email/offers/accepted.html
    templates/email/offers/approved.html
    templates/email/offers/deleted.html
    templates/email/offers/docs-request.html
    templates/email/offers/hr-survey-recruiter.html
    templates/email/offers/hr-survey-hiring-manager.html
    templates/email/offers/send-autohire.txt
    templates/email/offers/send.html
    templates/email/offers/send.txt
    templates/email/offers/sent.html
    templates/email/problems/create.html
    templates/email/problems/update.html
    templates/email/seo-check.html
    templates/email/submissions/new-submissions.html
    templates/email/vacancies/approve.html
    templates/email/vacancies/base.html
    templates/email/vacancies/close.html
    templates/email/vacancies/create.html
    templates/email/vacancies/resume.html
    templates/email/vacancies/suspend.html
    templates/email/vacancies/update.html
    templates/email/verifications/failure.html
    templates/email/verifications/maybe-duplicate.html
    templates/email/verifications/send-body-autohire.txt
    templates/email/verifications/send-body.txt
    templates/email/verifications/send-to-vendor.html
    templates/email/verifications/send.html
    templates/email/verifications/submitted_default.html
    templates/email/verifications/submitted_international_by_grade.html
    templates/email/verifications/success.html
    templates/email/verifications/warning.html
    templates/femida/candidates/ext-employee-sync-note.wiki
    templates/femida/interviews/interview-round-event-description.txt
    templates/partials/wf_diff.html
    templates/sms/interview-estimate.txt
    templates/sms/interview-estimate-en.txt
    templates/startrek/candidates/complete-assignments-part.wiki
    templates/startrek/candidates/complete-challenges-part.wiki
    templates/startrek/candidates/complete-interviews-part.wiki
    templates/startrek/candidates/complete.wiki
    templates/startrek/candidates/create-ess-issue.wiki
    templates/startrek/candidates/create-one-day-offer-issue.wiki
    templates/startrek/candidates/one-day-offer-issue-summary.wiki
    templates/startrek/candidates/reference-created-body.wiki
    templates/startrek/candidates/reference-created-comment.wiki
    templates/startrek/interviews/aa-entry-issue.wiki
    templates/startrek/interviews/aa-review-invite-reviewer.wiki
    templates/startrek/interviews/aa-review-issue.wiki
    templates/startrek/interviews/review-issue-comment.wiki
    templates/startrek/offers/approve.wiki
    templates/startrek/offers/bp-assignment-failure.wiki
    templates/startrek/offers/bp-assignment-oebs-failure.wiki
    templates/startrek/offers/bp-assignment-success.wiki
    templates/startrek/offers/bp-registry-created.wiki
    templates/startrek/offers/bp-registry-failure.wiki
    templates/startrek/offers/can-not-approve-by-future-team.wiki
    templates/startrek/offers/cannot-be-sent.wiki
    templates/startrek/offers/category-changed.wiki
    templates/startrek/offers/closed.wiki
    templates/startrek/offers/create-adaptation-issue.wiki
    templates/startrek/offers/create-bonus-issue.wiki
    templates/startrek/offers/create-bootcamp-issue.wiki
    templates/startrek/offers/create-eds-issue.wiki
    templates/startrek/offers/create-hr-issue.wiki
    templates/startrek/offers/create-relocation-issue.wiki
    templates/startrek/offers/create-salary-issue.wiki
    templates/startrek/offers/create-signup-issue.wiki
    templates/startrek/offers/deleted-for-hire-order.wiki
    templates/startrek/offers/deleted-job.wiki
    templates/startrek/offers/department-changed-job.wiki
    templates/startrek/offers/department-changed.wiki
    templates/startrek/offers/docs-processing-problem.wiki
    templates/startrek/offers/join-at-changed.wiki
    templates/startrek/offers/newhire-ready.wiki
    templates/startrek/offers/oebs-person-check.wiki
    templates/startrek/offers/oebs-person-created.wiki
    templates/startrek/offers/oebs-person-failure.wiki
    templates/startrek/offers/offer-on-rotation-approval.wiki
    templates/startrek/offers/placement-doesnt-exist.wiki
    templates/startrek/offers/reapprove.wiki
    templates/startrek/offers/rejected-hr.wiki
    templates/startrek/offers/rejected-job.wiki
    templates/startrek/offers/rejected.wiki
    templates/startrek/offers/salary-accept-internal.wiki
    templates/startrek/offers/salary-approvement.wiki
    templates/startrek/offers/sent.wiki
    templates/startrek/offers/username-changed.wiki
    templates/startrek/ok/approvement.wiki
    templates/startrek/preprofiles/cancelled.wiki
    templates/startrek/preprofiles/create-eds-issue.wiki
    templates/startrek/preprofiles/create-hr-issue.wiki
    templates/startrek/preprofiles/join-at-changed.wiki
    templates/startrek/preprofiles/username-changed.wiki
    templates/startrek/references/reference-candidate-closed.wiki
    templates/startrek/references/reference-candidate-opened.wiki
    templates/startrek/references/reference-processed.wiki
    templates/startrek/references/start-progress.wiki
    templates/startrek/rotations/create-myrotation-issue.wiki
    templates/startrek/rotations/create-rotation-issue.wiki
    templates/startrek/rotations/myrotation-approved.wiki
    templates/startrek/rotations/myrotation-canceled.wiki
    templates/startrek/rotations/myrotation-closed.wiki
    templates/startrek/rotations/myrotation-offer-on-approval.wiki
    templates/startrek/rotations/myrotation-rejected.wiki
    templates/startrek/rotations/myrotation-started.wiki
    templates/startrek/rotations/rotation-approved.wiki
    templates/startrek/rotations/rotation-canceled.wiki
    templates/startrek/rotations/rotation-closed.wiki
    templates/startrek/vacancies/approve.wiki
    templates/startrek/vacancies/bp-registry-created.wiki
    templates/startrek/vacancies/bp-registry-failure.wiki
    templates/startrek/vacancies/category-changed.wiki
    templates/startrek/vacancies/update-by-staff.wiki
    templates/startrek/vacancies/close.wiki
    templates/startrek/vacancies/create-job-issue.wiki
    templates/startrek/vacancies/main-recruiter-changed.wiki
    templates/startrek/vacancies/open.wiki
    templates/startrek/vacancies/resume.wiki
    templates/startrek/vacancies/submission-form-unused.wiki
    templates/startrek/vacancies/suspend.wiki
)

END()
