PY3_LIBRARY(hrdb_ext)

OWNER(g:hrdb)

PEERDIR(
    contrib/python/celery/py2
    contrib/python/django/django-2.2
    contrib/python/django-debug-toolbar
    contrib/python/django-model-utils
    contrib/python/django-redis
    contrib/python/djangorestframework
    contrib/python/ipython
    contrib/python/psycopg2
    contrib/python/PyYAML
    contrib/python/requests
    contrib/python/uwsgi

    library/python/blackbox
    library/python/django
    library/python/django_celery_monitoring
    library/python/django_pgaas
    library/python/django_tools_log_context
    library/python/granular_settings
	library/python/ids
    library/python/python-django-yauth
    library/python/startrek_python_client
    library/python/yenv
    library/python/ylock
    library/python/ylog
)

PY_SRCS(
    __init__.py
    celery_app.py
    local_settings.py
    makemigrations_settings.py
    manage.py
    settings.py
    urls.py
)

RESOURCE_FILES(
    PREFIX intranet/hrdb_ext/src/
    settings/000-env.conf
    settings/001-site.conf
    settings/001-site.conf.production
    settings/001-site.conf.testing
    settings/010-databases.conf
    settings/020-apps.conf
    settings/020-apps.conf.testing
    settings/030-logs.conf
    settings/040-celery.conf
    settings/050-startrek.conf
    settings/050-startrek.conf.production
    settings/060-amo.conf
    settings/060-amo.conf.production
    settings/070-ylock.conf
    settings/080-auth.conf
	settings/090-ispring.conf
	settings/090-ispring.conf.production
    settings/999-patch.conf
)

END()
