# Перезапрос роли

В некоторых системах используется политика перезапроса ролей при смене сотрудником подразделения.

При смене подразделения, как правило, меняются обязанности и полномочия сотрудника. Если роль не соответствует обязанностям, то ее необходимо перезапросить и отозвать. Подробная схема и описание к ней представлены ниже.

![](../image/role-request-reprocess.svg)

1. Сотрудник переведен в другое подразделение. Стафф отправляет push-уведомление об этом событии в IDM.
1. IDM получает уведомление и переводит роль в состояние «Нужно перезапросить».
1. IDM отправляет сотруднику уведомление о необходимости перезапросить роль.
1. Сотрудник получает уведомление. В течение двух недель (в этот период роль сохраняет статус «Активная») сотрудник должен принять решение о перезапросе роли:
    1. Если сотрудник перезапросит роль, IDM переведет роль в состояние «Перезапрошена». Перейдите к шагу 5.
    1. В противном случае IDM переведет роль в состояние «Отозвана» и присвоит статус «Неактивная».
    
1. IDM отправляет в систему push-уведомление о необходимости подтвердить перезапрошенную роль.
1. Подтверждающий в системе получает уведомление. В течение двух недель (в этот период роль сохраняет статус «Активная») подтверждающий должен принять решение:
    1. Если подтверждающий подтвердит роль, перейдите к шагу 7.
    1. В противном случае IDM переведет роль в состояние «Отозвана» и присвоит статус «Неактивная» (шаг 4.2).
    
1. IDM переводит роль в состояние «Выдана» и присваивает статус «Активная».
1. IDM отправляет сотруднику уведомление о статусе роли.
1. Сотрудник получает уведомление.

