# Общие сведения

## Среды IDM {#section_l5j_v1y_dhb}

В IDM существуют следующие среды:

- Тестинг — тестовая среда, используется для пробной настройки сценариев управления доступом и тестирования интеграции вашей системы с IDM. В ходе тестирования проверяется соответствие между реальным и ожидаемым поведением системы и IDM: могут быть обнаружены ошибки и [неконсистентности](glossary.md#nonconsist), которые должны быть устранены до подключения системы к продакшн IDM.
- Продакшн — стабильная среда, используется для постоянного и общедоступного управления доступом к вашей системе. Подключение к продакшн IDM рекомендуется только после тестирования интеграции системы с IDM.

## Этапы подключения  {#section_wxs_vsx_dhb}

Этапы подключения системы к тестингу и продакшн IDM представлены на схеме ниже.

![](../image/idm-scheme.svg)

1. Разработайте [дерево ролей](https://doc.yandex-team.ru/idm/idm-guide/entities/role-tree.html) и API системы.
1. Выберите политики и опции, согласно которым ваша система будет работать. Подробную информацию см. в разделах [Приложение 1. Политики системы](system-politics.md) и [Приложение 2. Опции системы](system-options.md).
1. [Отправьте заявку](idm-testing.md) на подключение к тестингу IDM.
    Как только систему подключат к тестингу, перейдите к шагу 4.
    
1. [Добавьте](add-confirmer.md) подтверждающих роли.

    {% include [entities-confirm](../_conref/conref/id-entities/confirm.md) %}
    
    Алгоритм запроса и подтверждения ролей см. в разделе [Запрос и подтверждение роли](https://doc.yandex-team.ru/idm/idm-guide/algorithm/role-request.html) документа [IDM. Описание сервиса](https://doc.yandex-team.ru/idm/idm-guide/concepts/about.html).
1. [Настройте](notifications.md) отправку уведомлений о действиях с ролью.
1. Протестируйте взаимодействие системы с IDM.
    Как только тестирование будет завершено, перейдите к шагу 7.
    
1. [Отправьте заявку](add-system-to-idm.md) на подключение к продакшн IDM.
    Как только систему подключат к продакшн, перейдите к шагу 8.
    
1. [Добавьте](add-confirmer.md) подтверждающих роли.
1. [Настройте](notifications.md) отправку уведомлений о действиях с ролью.

