# Подтвердить роль

## Кто может подтверждать роли {#who-can-confirmed}

Подтверждать [роли](https://doc.yandex-team.ru/idm/idm-guide/entities/user-role.html) могут только пользователи, добавленные в список [approvers](https://doc.yandex-team.ru/idm/idm-guide/entities/workflow.html). У каждой роли может быть несколько [подтверждающих](https://doc.yandex-team.ru/idm/idm-guide/entities/confirmer.html).

{% note info %}

Ответственные за [систему](https://doc.yandex-team.ru/idm/idm-guide/entities/system.html) или владелец системы также должны быть добавлены в список approvers. В противном случае они не смогут подтверждать роли.

{% endnote %}

## Уведомления на подтверждение роли {#notifications}

Отправка уведомлений на подтверждение роли зависит от условий workflow:
- Если подтверждение требуется от нескольких человек, IDM присылает запрос всем подтверждающим.
- Если достаточно подтверждения только одного человека, IDM присылает запрос первому по порядку подтверждающему.
- Если у подтверждающего на стаффе есть отметка об отсутствии (командировка, болезнь, обучение, отпуск), запрос отправляется следующему пользователю.
- Если отсутствуют все подтверждающие, письмо получат все пользователи из списка approvers.

#### Пример 

В workflow указано, что роль могут подтвердить Аня или Петя или Даша. Если Аня в отпуске, то письмо-уведомление будет отправлено Пете. Если и Петя отсутствует, то письмо получит Даша. Если отсутствует и Даша, письмо получат все ответственные.

## Очередь запросов {#queue}

Все запросы на доступ можно посмотреть на вкладке [Запросы](https://idm.yandex-team.ru/queue):

- **Обработанные** — запросы на доступ, которые уже подтверждены или отклонены.
- **Необработанные** — запросы на доступ, которые еще не подтверждены.

## Подтвердить роль {#confirmed}

Чтобы подтвердить роль, выполните следующие действия:

1. Отметьте нужные роли или нажмите кнопку ![](https://doc.yandex-team.ru/idm/idm-users-guide/image/confirm-role.png) в столбце **Действия** на вкладке [Запросы](https://idm.yandex-team.ru/queue).
1. Нажмите кнопку **Подтвердить всё**.
1. Напишите комментарий в окне **Подтвердить **.
1. Нажмите кнопку **Подтвердить**.

## Изменить запрос на доступ {#change}

Чтобы отредактировать запрос на получение роли, выполните следующие действия:

1. Отклоните запрос.
1. Нажмите на название отклоненной роли в очереди запросов на вкладке **Обработанные**.
    В правой части окна откроется [карточка роли](https://doc.yandex-team.ru/idm/idm-users-guide/concepts/view-role.html#history).
    
1. Нажмите кнопку **Клонировать** в карточке роли.
1. Отредактируйте нужные данные в форме запроса.
1. Укажите пользователя, которому необходимо предоставить доступ, в поле **Сотрудник или группа**.
1. Нажмите кнопку **Запросить**.

