# Проблемы с ролями

## Не могу перезапросить роль {#reorder-role}

Если при попытке выполнить действие с [ролью](https://doc.yandex-team.ru/idm/idm-guide/entities/user-role.html) (например, перезапросить роль) вы получаете сообщение «Для этой роли вы не можете выполнить действие», напишите на рассылку [tools@yandex-team.ru](tools@yandex-team.ru).

Ошибка может возникнуть, если в [workflow](https://doc.yandex-team.ru/idm/idm-guide/entities/workflow.html) для пользователя прописан запрет на запрос доступов (например, если сотрудник является внешним консультантом). Обратитесь к владельцу системы.

## Не могу отозвать роль {#close-role}

Если при попытке отозвать роль вы получаете сообщение «Для этой роли вы не можете выполнить действие», скорее всего, вы пытаетесь отозвать одну из следующих ролей:

- Персональную групповую роль.
    Чтобы отозвать групповую роль, необходимо покинуть группу. По истечении семи дней роль автоматически отзовется.
    
- Связанную роль.
    Чтобы отозвать связанную роль, необходимо отозвать основную роль.
    
- Удаленную роль (или систему).
    Чтобы узнать, есть ли аналогичная роль, обратитесь к владельцу системы.
    

## Не могу найти ранее выданную роль {#not-found}

Скорее всего, роль была отозвана. Отозванные роли можно [перезапросить](https://doc.yandex-team.ru/idm/idm-users-guide/concepts/query-role.html#recall-role).

## Кнопка «Перезапросить» неактивна {#recall}

[Склонируйте](https://doc.yandex-team.ru/idm/idm-users-guide/concepts/query-role.html#clone-role) нужные роли.

## В тестинге отозвались все роли {#testing-role}

В тестинге IDM все действия над ролями запускаются принудительно (например, перевод роли в другое состояние). При этом IDM не отправляет ответственному за систему уведомления о событиях с ролью.

Ответственный может перезапросить роль, однако тестинг IDM не рекомендуется использовать как стабильную систему управления доступом. Для постоянной и стабильной работы [подключите вашу систему](add-system-to-idm.md) к продакшн IDM.

## Не могу понять, какие роли у группы отзовутся после организационных изменений {#group-roles}

Напишите на рассылку [tools@yandex-team.ru](tools@yandex-team.ru).

## Как поменять политику системы в отношении перезапроса ролей при смене сотрудником подразделения {#politics}

При подключении системы к IDM можно указать правила (политики), согласно которым система будет работать. Подробное описание политик см. в разделе [Приложение 1. Политики системы](system-politics.md) документа [IDM. Руководство владельца системы](../index.md).

Чтобы поменять политику, напишите на рассылку [tools@yandex-team.ru](tools@yandex-team.ru).

