# Добавить систему в тестинг IDM

Для пробной настройки сценариев управления доступом и тестирования интеграции вашей [системы](glossary.md#system) с IDM:

1. Разработайте [дерево узлов](https://doc.yandex-team.ru/idm/idm-guide/entities/role-tree.html) в БД вашей системы и [API системы](idm-role-tree.md) для интеграции с IDM. Если ваша система реализована на Django, [воспользуйтесь](https://wiki.yandex-team.ru/Intranet/idm/API/Django) приложением.
1. Закажите доступы («дырки») от «_C_VS_IDM_TESTING_» до сервера вашей системы (порт 443) у ответственных за эксплуатацию вашей системы (администраторы, девопсы, разработчики).
		Закажите «дырки» до idm-api.test.yandex-team.ru, если необходим также доступ до IDM (например, если у вашей системы есть интерфейс и вы хотите выдавать роли через [API IDM](idm-role-tree.md).
    
1. [Заполните вики-форму](https://wiki.yandex-team.ru/Intranet/idm/new/request/).
    В поле **Описание** укажите политики и опции, согласно которым система будет работать. Подробную информацию см. в разделах [Приложение 1. Политики системы](system-politics.md) и [Приложение 2. Опции системы](system-options.md).
    
1. Нажмите кнопку **Отправить**.
    В Startrek будет создан тикет. Систему подключат к тестингу IDM в течение двух-трех рабочих дней.
    
1. [Добавьте](add-confirmer.md) подтверждающих роли.
1. [Настройте уведомления](notifications.md).

## Рекомендации {#recommendations}

- После тестирования интеграции вашей системы с IDM [подключитесь к продакшн IDM](add-system-to-idm.md).
    
- IDM выдает доступы как для внутренних, так и для внешних паспортных логинов. Однако рекомендуем использовать внутренние логины («префикс yndx-» + «доменный_логин»).
    На внешние логины распространяется [усиленная политика безопасности (wiki)](https://wiki.yandex-team.ru/intranet/idm/sid67/). Например, после подключения Директа к IDM и синхронизации ролей пользователям требуется сменить пароль на более сложный, а затем обновлять его каждые три месяца.
    

