# Проблемы с ролями

## Не могу перезапросить роль {#reorder-role}

Если при попытке выполнить действие с [ролью](https://doc.yandex-team.ru/idm/idm-guide/entities/user-role.md) (например, перезапросить роль) вы получаете сообщение «Для этой роли вы не можете выполнить действие», напишите на рассылку <tools@yandex-team.ru>.

Ошибка может возникнуть, если в [workflow](https://doc.yandex-team.ru/idm/idm-guide/entities/workflow.md) для пользователя прописан запрет на запрос доступов (например, если сотрудник является внешним консультантом). Обратитесь к владельцу системы.

## Не могу понять, кто ответственный за выдачу роли {#responsible}

Список ответственных перечислен в окне **Запрашиваемая роль**, а также в письме-уведомлении на подтверждение роли.

## Роль активна, однако доступ к системе отсутствует {#section_am2_5s2_scb}

Если вы получили подтверждение о выдаче роли, однако доступ к системе все равно отсутствует:

1. [Откройте](https://idm.yandex-team.ru/) страницу IDM.
1. Найдите нужную роль и нажмите на ее название.
    В правой части экрана откроется карточка роли.
    
1. Проверьте статус в поле **Состояние**:
    #### Выдана
    Если роль находится в состоянии **Выдана**, решить проблему может только ответственный за систему. Список ответственных перечислен на странице системы. Напишите письмо ответственному. В письме подробно опишите проблему, приложите скриншот карточки роли и вставьте ссылку на роль.
    Чтобы скопировать ссылку:
    1. Нажмите кнопку ![](../image/copy-link.png) в карточке роли.
    1. Нажмите на клавиатуре сочетание клавиш **Ctrl + C**.
    ![](../image/copy-link-2.png)
    
    #### Запрошена, Отозвана, Отклонена, Ошибка
    Если роль находится в состоянии **Запрошена**, **Отозвана**, **Отклонена** или **Ошибка**, [перезапросите роль](query-role.md). Если проблему решить не удалось, напишите на рассылку <tools@yandex-team.ru>. В письме подробно опишите проблему и вставьте ссылку на роль.
	
    {% include [roles-copy-link](../_conref/conref-faq/id-roles/copy-link.md) %}

## Не могу отозвать роль {#close-role}

Если при попытке отозвать роль вы получаете сообщение «Для этой роли вы не можете выполнить действие», скорее всего, вы пытаетесь отозвать одну из следующих ролей:

- Персональную групповую роль.
    Чтобы отозвать групповую роль, необходимо покинуть группу. По истечении семи дней роль автоматически отзовется.
    
- Связанную роль.
    Чтобы отозвать связанную роль, необходимо отозвать основную роль.
    
- Удаленную роль (или систему).
    Чтобы узнать, есть ли аналогичная роль, обратитесь к владельцу системы.
    

## При запросе роли не могу использовать свой логин {#incorrect-login}

В IDM принят стандартный формат логина: «префикс yndx»+«доменный_логин» + «название_роли [опционально]». Такой паспортный логин можно сформировать вручную (при регистрации в [Яндекс.Паспорте](http://passport.yandex.ru/) из внутренней сети Яндекса) или автоматически (при получении роли через IDM).

При запросе роли можно использовать только те логины, которые предлагает IDM (все возможные варианты представлены в списке [Паспортный логин](https://doc.yandex-team.ru/idm/idm-guide/entities/passport-login.md)). Если информации о паспортном логине сотрудника в IDM нет, автоматически создается новая учетная запись в Яндекс.Паспорте. Пароль от этой учетной записи отправляется на почту сотрудника.

## Не могу найти ранее выданную роль {#not-found}

Скорее всего, роль была отозвана. Отозванные роли можно [перезапросить](query-role.md#recall-role).

## Кнопка «Перезапросить» неактивна {#recall}

[Склонируйте](query-role.md#clone-role) нужные роли.

## Сообщение «Некоторые роли требуют повторного подтверждения» {#letter}

При изменениях в организационной структуре на Стаффе вы получите письмо с темой «Некоторые роли требуют повторного подтверждения».

В течение 14 дней необходимо [перезапросить роли](query-role.md#recall-role), в противном случае все перечисленные в письме роли будут отозваны.

## Не могу запросить роль на группу  {#group-role}

Существует несколько причин, по которым в системе отсутствует возможность запрашивать роли на группу: 
- В системе установлена политика «Только для себя и своих подчиненных можно запрашивать роли».
    Если вы не являетесь руководителем группы, для которой запрашиваете роль, обратитесь к ответственному [системы](https://idm.yandex-team.ru/systems). Список ответственных перечислен на странице системы.
    
- Система не поддерживает групповые роли.
    Напишите запрос на рассылку системы. Адрес рассылки указан на странице системы.

## Не могу понять, какие роли у группы отзовутся после организационных изменений {#group-roles}

Напишите на рассылку <tools@yandex-team.ru>.

