# Запрос ролей

## Запросить роль к системе {#add-role}

Чтобы запросить роль (уровень доступа сотрудника к какой-либо системе, подключенной к IDM) к системе (сервис, подключенный к IDM. Список подключенных систем представлен на странице [IDM. Все системы](https://idm.yandex-team.ru/systems):

1. [Откройте](https://idm.yandex-team.ru/) страницу IDM.
1. Нажмите кнопку **Запросить роль** в верхней левой части окна.
    ![](../image/query-role.png)
    
1. Выберите систему и роль в этой системе в окне **Запрашиваемая роль**.
1. Нажмите кнопку ![](../image/i-button.png), чтобы получить дополнительную информацию о системе и используемых в ней ролях. Если подсказок нет и из названия вам непонятно предназначение роли, обратитесь к ответственному конкретной системы.
    ![](../image/i-button-2.png)
    
1. Нажмите кнопку ![](../image/me-button.png) в поле **Сотрудник или группа**, если необходимо предоставить доступ только вам.
    Если необходимо предоставить доступ нескольким сотрудникам или группе, начните вводить имя сотрудника или название группы. В списке будут показаны варианты, соответствующие поиску. Выберите из списка нужное.
    
    В блоке **Сотрудники** будут перечислены пользователи и группы, для которых запрашивается доступ, а также список подтверждающих.
    
1. Нажмите на список в строке **Паспортный логин** и выберите логин в блоке **Существующий**, если необходимо указать паспортный логин (Идентификатор сотрудника (пользователя). К паспортному логину привязывается роль), например, для системы **Директ**.
    Если необходимо завести новый логин, выберите логин в блоке **Новый**. В этом случае будет создан логин с автоматически сгенерированным паролем. На вашу электронную почту придет письмо со ссылкой для установки нового пароля. Обязательно пройдите по ссылке и задайте новый пароль, чтобы завершить регистрацию логина. Ссылка действительна в течение одной недели.
    
    {% note warning %}
    
    - Не требуется создавать новый логин вручную. Выберите логин из предложенных в списке и будет автоматически создана новая учетная запись в Яндекс.Паспорте.
    - Если логин не зарегистрировать, после подтверждения роли возникнет ошибка «Не удалось добавить роль в систему». Подробнее см. раздел [Ошибки](idm-faq-errors.md).
    
    {% endnote %}
    
    ![](../image/choose-pass-login.png)
    
1. Выберите срок в блоке **Срок действия роли**.
1. Напишите обоснование для получения роли.
1. Нажмите кнопку **Запросить**.

![](../image/query-role-2.png)

После отправки запроса ответственному придет письмо-уведомление на подтверждение роли. Время подтверждения зависит от того, насколько быстро ответственный отреагирует на запрос. Список ответственных перечислен в окне **Запрашиваемая роль**. Если подтверждение не требуется, доступ выдается в течение нескольких минут.

{% note info %}

Если возникают проблемы при запросе роли на группу, обратитесь в службу поддержки [tools@yandex-team.ru](tools@yandex-team.ru).

{% endnote %}


## Запросить одновременно несколько ролей к одной системе  {#query-2-role}

Чтобы одновременно запросить несколько ролей к одной системе, в [форме запроса](#add-role) нажмите кнопку **Клонировать форму**.

![](../image/clone-form.png)

К запросу добавится еще одна форма, аналогичная предыдущему запросу (со всеми заполненными полями). Внесите изменения в необходимые поля и нажмите кнопку **Запросить**.

![](../image/add-2-role.png)

## Запросить одновременно несколько ролей к разным системам {#2-role-diff-system}

Чтобы одновременно запросить несколько доступов (ролей) к разным системам:

1. Нажмите кнопку ![](../image/add-another-role.png) в [форме запроса](#add-role).
    К запросу добавится дополнительная пустая форма.
    
1. [Заполните](#add-role) необходимые поля.
1. Нажмите кнопку **Запросить**.

![](../image/add-another-role-2.png)

## Запросить роль к CAuth {#query-cauth}

Чтобы запросить роль к CAuth:

1. [Откройте](https://idm.yandex-team.ru/system/cauth) страницу CAuth.
1. Нажмите кнопку **Запросить роль** в верхней левой части окна.
1. Выберите хосты или группы.
1. Выберите тип доступа (ssh или sudo):
    - Если вы выбрали тип доступа **sudo**, в поле **role** выберите спецификатор или напишите свой.
    - Если вы выбрали тип доступа **ssh**, при необходимости установите значение **root**.
    
1. Начните вводить имя сотрудника или название группы в поле **Сотрудник или группа**. В списке будут показаны варианты, соответствующие поиску. Выберите нужное (можно выбрать несколько сотрудников или групп).
1. Выберите срок действия роли.
1. Напишите обоснование для получения роли.
1. Нажмите кнопку **Далее**.
    ![](../image/cauth-request.png)
    
1. Нажмите кнопку **Запросить**.
    ![](../image/cauth-request-2.png)
    

{% include [query-role-info](../_includes/concepts/query-role/id-query-role/info.md) %}


{% note info %}

Для быстрого доступа к системе вы можете отметить ее как избранную. Для этого нажмите кнопку ![](../image/system-fav.png) на странице системы. После этого система станет доступна в меню **Системы**.

![](../image/system-fav-2.png)

{% endnote %}


## Запросить похожую роль {#clone-role}

Чтобы запросить доступ, аналогичный доступу другого пользователя:

1. [Откройте](https://idm.yandex-team.ru/) страницу IDM.
1. Найдите нужную роль и нажмите на ее название.
    В правой части экрана откроется карточка роли.
    
1. Нажмите кнопку **Клонировать** в карточке роли.
    ![](../image/clone-button.png)
    
1. Нажмите кнопку ![](../image/me-button.png) в поле **Сотрудник или группа**, если необходимо предоставить доступ только вам.
    Если необходимо предоставить доступ нескольким сотрудникам или группе, начните вводить имя сотрудника или название группы. В списке будут показаны варианты, соответствующие поиску. Выберите из списка нужное.
    
    В блоке **Сотрудники** будут перечислены пользователи и группы, для которых запрашивается доступ, а также список подтверждающих.
    
1. Нажмите кнопку **Запросить**.

{% include [query-role-info](../_includes/concepts/query-role/id-query-role/info.md) %}


## Запросить роль из формы поиска {#search-filter-role}

Вы можете запросить роль прямо из формы поиска (например, если вы не нашли роль во время [поиска и просмотра](view-role.md)):

1. Нажмите кнопку **Запросить такую роль** в форме поиска.
    Откроется форма запроса. В полях будут указаны данные, которые были использованы в фильтре.
    
    ![](../image/query-such-role.png)
    
1. Проверьте все поля в окне **Запрашиваемая роль **.
1. Напишите обоснование для получения роли.
1. Нажмите кнопку **Запросить**.

## Перезапросить роль {#recall-role}

Если роль была отозвана, вы можете перезапросить ее:

1. [Откройте](https://idm.yandex-team.ru/) страницу IDM.
1. Нажмите кнопку **Неактивные** на вкладке **Роли**.
1. Отметьте нужную роль в списке ролей.
1. Нажмите кнопку **Перезапросить**.
    ![](../image/idm-recall.png)
    
1. При необходимости напишите комментарий в окне **Перезапросить роль** .
1. Нажмите кнопку **Перезапросить**.
    ![](../image/idm-recall-role.png)
    

{% include [query-role-info](../_includes/concepts/query-role/id-query-role/info.md) %}


