# Отзыв ролей

В IDM вы можете отозвать следующие роли (уровень доступа сотрудника к какой-либо системе, подключенной к IDM):

- Любую персональную, если считаете, что она вам больше не нужна.
- Групповую, если являетесь ответственным за группу (подразделение внутри компании, вики-группа, команда или ролевая подгруппа этой команды внутри [сервиса ABC](https://abc.yandex-team.ru)). Отозвать роль можно только у всей группы.
- Чужую, если вы являетесь ответственным за [узел](https://doc.yandex-team.ru/idm/idm-guide/entities/tree-knots) в системе (cервис, подключенный к IDM. Список подключенных систем представлен на странице [IDM. Все системы](https://idm.yandex-team.ru/systems)).

## Отозвать свою роль в любой системе {#recall}

Чтобы отозвать ненужную роль, выполните следующие действия:

1. [Откройте](https://idm.yandex-team.ru/) страницу IDM.
1. Отметьте в списке ненужные роли.
1. Нажмите кнопку **Отозвать** в нижней части окна.
    ![](../image/recall-role.png)
    
1. Напишите комментарий в окне **Отозвать роль**.
1. Нажмите кнопку **Отозвать**.
    ![](../image/recall-role-2.png)
    

## Отозвать свою роль в системе CAuth {#recall-cauth}

Чтобы отозвать ненужную роль в системе CAuth, выполните следующие действия:

1. [Откройте](https://idm.yandex-team.ru/) свою страницу IDM.
1. Нажмите кнопку ![](../image/filter-button.png).
1. Выберите систему CAuth.
1. Нажмите кнопку **Применить фильтры**.
1. Отметьте в списке ненужные роли.
1. Нажмите кнопку **Отозвать** в нижней части окна.
    ![](../image/recall-CAuth-role.png)
    
1. Напишите комментарий в окне **Отозвать роль**.
1. Нажмите кнопку **Отозвать**.
    ![](../image/recall-CAuth-role-2.png)
    

## Отозвать чужую роль  {#recall-foreign-role}

Если вы являетесь ответственным за узел в системе и можете управлять ролями, то вы можете отзывать роли этого узла у других пользователей:

1. Нажмите на ссылку с нужной системой на странице [IDM. Все системы](https://idm.yandex-team.ru/systems) .
1. Нажмите кнопку **Менеджер ролей**.
    Загрузится список сотрудников, которым выданы доступы в вашем узле.
    
1. Отметьте в списке сотрудников, у которых необходимо отозвать доступ.
1. Нажмите кнопку **Отозвать** в нижней части окна.
    ![](../image/role-manager.png)
    
1. Напишите комментарий в окне **Отозвать роль**.
1. Нажмите кнопку **Отозвать**.
    ![](../image/recall-role-manager.png)
    

## Отозвать групповую роль {#recall-group-role}

Если вы являетесь ответственным за вики-группу или группу на стаффе, то вы можете отозвать эту роль только у всей группы:

1. Нажмите на ссылку с нужной системой на странице [IDM. Все системы](https://idm.yandex-team.ru/systems) .
1. Нажмите кнопку **Групповые** на вкладке **Роли** в поле **Тип**.
1. Выберите нужную группу.
1. Нажмите кнопку **Отозвать**.
    ![](../image/recall-group-role.png)
    
1. Напишите комментарий в окне **Отозвать роль**.
1. Нажмите кнопку **Отозвать**.
    ![](../image/recall-group-role-2.png)
    
    {% note info %}
    
    Команда IDM рекомендует выдавать доступы ABC-группы.
    
    {% endnote %}
    

> Доступ был выдан всем сотрудникам подразделения внутри компании (стаффовая группа). Позднее было принято решение отозвать доступ у одного сотрудника из подразделения. Для этого нужно отозвать доступ у всего подразделения, а затем повторно выдать доступ нужным сотрудникам. 
> Если создать ABC-группу и выдать на нее доступ, то достаточно будет исключить сотрудника из группы.

## Отозвать роль у сотрудника, состоящего в ABC-группе {#recall-abc-group}

Чтобы отозвать роль, ответственному достаточно исключить этого сотрудника из  ABC-группы. Роль отзовется автоматически через 7 дней.

Чтобы ускорить отзыв роли, выполните следующее:

1. Нажмите на ссылку с нужной системой на странице [IDM. Все системы](https://idm.yandex-team.ru/systems).
1. Нажмите кнопку **Менеджер ролей**.
1. Нажмите кнопку ![](../image/filter-button.png).
1. Выберите из списка пункт «Ожидание» в поле **Состояние**.
1. Нажмите кнопку **Применить фильтры**.
1. Отметьте в списке сотрудников, у которых необходимо отозвать доступ.
1. Нажмите кнопку **Отозвать**.
1. Напишите комментарий в окне **Отозвать роль**.
1. Нажмите кнопку **Отозвать**.

{% include [query-role-system-tip](../_includes/concepts/query-role/id-query-role/system-tip.md) %}

