# Просмотр ролей

## Посмотреть свои роли к любой системе {#role}

Чтобы просмотреть список всех выданных вам ролей (уровень доступа сотрудника к какой-либо системе, подключенной к IDM):

1. [Откройте](https://idm.yandex-team.ru/) страницу IDM.
1. Выберите тип роли: **Все**, **Групповые**, **Персональные**.
1. Выберите статус роли: **Все**, **Активные**, **Неактивные**, **Запрошенные**.
1. Нажмите кнопку ![](../image/filter-button.png).
1. Выберите состояние роли (например, «Ожидание» ) в поле **Состояние**.
1. Выберите систему (Сервис, подключенный к IDM. Список подключенных систем представлен на странице [IDM. Все системы](https://idm.yandex-team.ru/systems)) и роль (для некоторых систем можно выбрать назначение —  хост или группу).
1. Нажмите кнопку **Применить фильтры**.

![](../image/filter-role.png)

{% note info %}

Если вы не нашли роль, [запросите ее](query-role.md#search-filter-role) прямо из формы поиска.

{% endnote %}


## Посмотреть историю роли {#history}

Для каждой роли сохраняется история изменений: кто и когда запросил, подтвердил или отклонил роль.

Чтобы просмотреть историю, в списке нажмите ссылку с названием роли.

![](../image/link-role.png)

В правой части окна откроется карточка роли, в которой показана история изменений и состояние (статус).

![](../image/history-role.png)

## Сортировать роли по системам {#group}

Чтобы отсортировать роли по одной системе, в списке ролей в столбце **Система** нажмите кнопку ![](../image/sort-role.png).

![](../image/sort-role-2.png)

## Посмотреть чужие роли к любой системе {#show-all-roles}

Чтобы просмотреть роли, выданные другим сотрудникам:

1. Нажмите на ссылку с нужной системой на странице [**IDM. Все системы**](https://idm.yandex-team.ru/systems).
1. Выберите тип роли: **Все**, **Групповые**, **Персональные**.
1. Выберите статус роли: **Все**, **Активные**, **Неактивные**, **Запрошенные**.
1. Нажмите кнопку ![](../image/filter-button.png).
1. Заполните необходимые поля и нажмите кнопку **Применить фильтры**.

{% note alert %}

Список ролей показывается с учетом ваших прав в системе. Например, если коллега запросил роль к системе, а в списке запрошенных ролей вы не видите этот запрос, то, скорее всего, у вас нет нужных прав.

{% endnote %}


## Посмотреть роли группы со Стаффа {#group-roles}

Чтобы посмотреть список ролей для группы со Стаффа: 
1. [Откройте](https://idm.yandex-team.ru/) страницу IDM.
1. Начните вводить название группы в строке поиска. Выберите из списка нужный вариант.
1. На странице каждой группы существует своя таблица ролей со списком систем, ролей и их состоянием.
![](../image/groups-role.png)

## Посмотреть роли к CAuth {#cauth-role}

Чтобы просмотреть все выданные роли к системе CAuth:

1. [Откройте](https://idm.yandex-team.ru/system/cauth/) страницу системы CAuth.
1. Выберите тип роли: **Все**, **Групповые**, **Персональные**.
1. Выберите статус роли: **Все**, **Активные**, **Неактивные**, **Запрошенные**.
1. Нажмите кнопку ![](../image/filter-button.png).
1. Введите свое имя в поле **Сотрудник**.
1. Выберите хост или группу в поле **Назначение**.
    Выбранный хост или группа будут подсвечены голубым цветом.
    
1. Нажмите кнопку **Применить фильтры**.

В результатах поиска будут показаны все роли, полностью совпадающие с указанным хостом или группой.

![](../image/cauth-filter.png)

Вы также можете ввести только часть названия хоста или группы. В этом случае введенная часть не будет подсвечена голубым цветом, а в результатах поиска будут показаны все подходящие варианты.

При поиске по хосту будут показаны все роли, выданные на группу, к которой относится хост.
![](../image/search-cauth-host.png)

{% include [query-role-system-tip](../_includes/concepts/query-role/id-query-role/system-tip.md) %}


