# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2019-07-30 10:38


from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('users', '0001_new_initial'),
        ('auth', '0007_alter_validators_add_error_messages'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('core', '0001_new_initial'),
        ('services', '0003_service_membership_inheritance'),
    ]

    operations = [
        migrations.AddField(
            model_name='workflow',
            name='approver',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='workflow',
            name='parent',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='next', to='core.Workflow'),
        ),
        migrations.AddField(
            model_name='workflow',
            name='system',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='workflows', to='core.System'),
        ),
        migrations.AddField(
            model_name='workflow',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='workflows', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userpassportlogin',
            name='roles',
            field=models.ManyToManyField(blank=True, related_name='passport_logins', to='core.Role', verbose_name='\u0420\u043e\u043b\u0438, \u0438\u0441\u043f\u043e\u043b\u044c\u0437\u0443\u044e\u0449\u0438\u0435 \u0434\u0430\u043d\u043d\u044b\u0439 \u043f\u0430\u0441\u043f\u043e\u0440\u0442\u043d\u044b\u0439 \u043b\u043e\u0433\u0438\u043d'),
        ),
        migrations.AddField(
            model_name='userpassportlogin',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='passport_logins', to=settings.AUTH_USER_MODEL, verbose_name='\u0421\u043e\u0442\u0440\u0443\u0434\u043d\u0438\u043a'),
        ),
        migrations.AddField(
            model_name='transfer',
            name='group',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='transfers', to='users.Group', verbose_name='\u0413\u0440\u0443\u043f\u043f\u0430'),
        ),
        migrations.AddField(
            model_name='transfer',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='core.Transfer', verbose_name='\u0420\u043e\u0434\u0438\u0442\u0435\u043b\u044c\u0441\u043a\u043e\u0435 \u043f\u0435\u0440\u0435\u043c\u0435\u0449\u0435\u043d\u0438\u0435'),
        ),
        migrations.AddField(
            model_name='transfer',
            name='source',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='transfers_from', to='users.Group', verbose_name='\u0413\u0440\u0443\u043f\u043f\u0430-\u0438\u0441\u0442\u043e\u0447\u043d\u0438\u043a'),
        ),
        migrations.AddField(
            model_name='transfer',
            name='target',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='transfers_to', to='users.Group', verbose_name='\u0413\u0440\u0443\u043f\u043f\u0430-\u043d\u0430\u0437\u043d\u0430\u0447\u0435\u043d\u0438\u0435'),
        ),
        migrations.AddField(
            model_name='transfer',
            name='user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='transfers', to=settings.AUTH_USER_MODEL, verbose_name='\u0421\u043e\u0442\u0440\u0443\u0434\u043d\u0438\u043a'),
        ),
        migrations.AddField(
            model_name='system',
            name='actual_workflow',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='wf_system', to='core.Workflow', verbose_name='\u0410\u043a\u0442\u0443\u0430\u043b\u044c\u043d\u044b\u0439 workflow'),
        ),
        migrations.AddField(
            model_name='system',
            name='creator',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='created_systems', to=settings.AUTH_USER_MODEL, verbose_name='\u0421\u043e\u0437\u0434\u0430\u0442\u0435\u043b\u044c'),
        ),
        migrations.AddField(
            model_name='system',
            name='reserve_approvers',
            field=models.ManyToManyField(blank=True, related_name='reserve_approver_for', to=settings.AUTH_USER_MODEL, verbose_name='\u041f\u043e\u0434\u0442\u0432\u0435\u0440\u0436\u0434\u0430\u044e\u0449\u0438\u0435'),
        ),
        migrations.AddField(
            model_name='system',
            name='root_role_node',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='core.RoleNode', verbose_name='\u041a\u043e\u0440\u043d\u0435\u0432\u043e\u0439 \u0443\u0437\u0435\u043b \u0434\u0435\u0440\u0435\u0432\u0430 \u0440\u043e\u043b\u0435\u0439'),
        ),
        migrations.AddField(
            model_name='system',
            name='service',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='systems', to='services.Service', verbose_name='\u0421\u0432\u044f\u0437\u0430\u043d\u043d\u044b\u0439 \u0441\u0435\u0440\u0432\u0438\u0441'),
        ),
        migrations.AddField(
            model_name='system',
            name='systems_allowed_in_workflow',
            field=models.ManyToManyField(blank=True, related_name='systems_that_can_use_this_in_workflow', to='core.System'),
        ),
        migrations.AddField(
            model_name='rolerequest',
            name='requester',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='role_requests', to=settings.AUTH_USER_MODEL, verbose_name='\u0417\u0430\u043f\u0440\u043e\u0441\u0438\u0432\u0448\u0438\u0439'),
        ),
        migrations.AddField(
            model_name='rolerequest',
            name='role',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='requests', to='core.Role', verbose_name='\u0440\u043e\u043b\u044c'),
        ),
        migrations.AddField(
            model_name='rolerequest',
            name='workflow',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='workflow_requests', to='core.Workflow', verbose_name='Workflow'),
        ),
        migrations.AddField(
            model_name='rolenodeset',
            name='system',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.System', verbose_name='\u0421\u0438\u0441\u0442\u0435\u043c\u0430'),
        ),
        migrations.AddField(
            model_name='rolenodeclosure',
            name='child',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='rolenodeclosure_parents', to='core.RoleNode'),
        ),
        migrations.AddField(
            model_name='rolenodeclosure',
            name='parent',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='rolenodeclosure_children', to='core.RoleNode'),
        ),
        migrations.AddField(
            model_name='rolenode',
            name='moved_from',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='moved_to', to='core.RoleNode', verbose_name='\u041f\u0435\u0440\u0435\u043c\u0435\u0449\u0435\u043d\u043e \u0438\u0437 \u0443\u0437\u043b\u0430'),
        ),
        migrations.AddField(
            model_name='rolenode',
            name='nodeset',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='nodes', to='core.RoleNodeSet', verbose_name='\u0413\u0440\u0443\u043f\u043f\u0430 \u0440\u043e\u043b\u0435\u0439'),
        ),
        migrations.AddField(
            model_name='rolenode',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='core.RoleNode'),
        ),
        migrations.AddField(
            model_name='rolenode',
            name='system',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='nodes', to='core.System', verbose_name='\u0421\u0438\u0441\u0442\u0435\u043c\u0430'),
        ),
        migrations.AddField(
            model_name='rolefield',
            name='node',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='fields', to='core.RoleNode', verbose_name='\u0423\u0437\u0435\u043b \u0434\u0435\u0440\u0435\u0432\u0430 \u0440\u043e\u043b\u0435\u0439'),
        ),
        migrations.AddField(
            model_name='rolealias',
            name='node',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='aliases', to='core.RoleNode', verbose_name='\u0423\u0437\u0435\u043b \u0434\u0435\u0440\u0435\u0432\u0430 \u0440\u043e\u043b\u0435\u0439'),
        ),
        migrations.AddField(
            model_name='roleadgroup',
            name='role',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='role_ad_groups', to='core.Role', verbose_name='\u0420\u043e\u043b\u044c'),
        ),
        migrations.AddField(
            model_name='role',
            name='group',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='roles', to='users.Group', verbose_name='\u0413\u0440\u0443\u043f\u043f\u0430'),
        ),
        migrations.AddField(
            model_name='role',
            name='inconsistency',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='role', to='core.Inconsistency', verbose_name='\u0420\u0430\u0441\u0445\u043e\u0436\u0434\u0435\u043d\u0438\u0435, \u043f\u043e \u043a\u043e\u0442\u043e\u0440\u043e\u043c\u0443 \u0437\u0430\u0432\u0435\u0434\u0435\u043d\u0430 \u044d\u0442\u0430 \u0440\u043e\u043b\u044c'),
        ),
        migrations.AddField(
            model_name='role',
            name='last_request',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='core.RoleRequest', verbose_name='\u041f\u043e\u0441\u043b\u0435\u0434\u043d\u0438\u0439 \u0437\u0430\u043f\u0440\u043e\u0441'),
        ),
        migrations.AddField(
            model_name='role',
            name='node',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='roles', to='core.RoleNode', verbose_name='\u0423\u0437\u0435\u043b \u0434\u0435\u0440\u0435\u0432\u0430 \u0440\u043e\u043b\u0435\u0439'),
        ),
        migrations.AddField(
            model_name='role',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='refs', to='core.Role'),
        ),
        migrations.AddField(
            model_name='role',
            name='system',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='roles', to='core.System', verbose_name='\u0421\u0438\u0441\u0442\u0435\u043c\u0430'),
        ),
        migrations.AddField(
            model_name='role',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='roles', to=settings.AUTH_USER_MODEL, verbose_name='\u041f\u043e\u043b\u044c\u0437\u043e\u0432\u0430\u0442\u0435\u043b\u044c'),
        ),
        migrations.AddField(
            model_name='noderesponsibility',
            name='node',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='responsibilities', to='core.RoleNode', verbose_name='\u0423\u0437\u0435\u043b \u0434\u0435\u0440\u0435\u0432\u0430 \u0440\u043e\u043b\u0435\u0439'),
        ),
        migrations.AddField(
            model_name='noderesponsibility',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='noderesponsibilities', to=settings.AUTH_USER_MODEL, verbose_name='\u041f\u043e\u043b\u044c\u0437\u043e\u0432\u0430\u0442\u0435\u043b\u044c'),
        ),
        migrations.AddField(
            model_name='internalroleuserobjectpermission',
            name='content_object',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_object_permissions', to='core.InternalRole'),
        ),
        migrations.AddField(
            model_name='internalroleuserobjectpermission',
            name='permission',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.Permission'),
        ),
        migrations.AddField(
            model_name='internalroleuserobjectpermission',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='internalrolegroupobjectpermission',
            name='content_object',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='group_object_permissions', to='core.InternalRole'),
        ),
        migrations.AddField(
            model_name='internalrolegroupobjectpermission',
            name='group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.Group'),
        ),
        migrations.AddField(
            model_name='internalrolegroupobjectpermission',
            name='permission',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.Permission'),
        ),
        migrations.AddField(
            model_name='internalrole',
            name='node',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='internal_roles', to='core.RoleNode', verbose_name='\u0423\u0437\u0435\u043b \u0434\u0435\u0440\u0435\u0432\u0430 \u0440\u043e\u043b\u0435\u0439'),
        ),
        migrations.AddField(
            model_name='inconsistency',
            name='sync_key',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='inconsistencies', to='core.Action', verbose_name='\u0414\u0435\u0439\u0441\u0442\u0432\u0438\u0435 \u043d\u0430\u0447\u0430\u043b\u0430 \u0441\u0438\u043d\u0445\u0440\u043e\u043d\u0438\u0437\u0430\u0446\u0438\u0438'),
        ),
        migrations.AddField(
            model_name='inconsistency',
            name='system',
            field=models.ForeignKey(db_constraint=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='inconsistencies', to='core.System', verbose_name='\u0421\u0438\u0441\u0442\u0435\u043c\u0430'),
        ),
        migrations.AddField(
            model_name='groupmembershipsystemrelation',
            name='membership',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sysmemberships', to='users.GroupMembership', verbose_name='\u0427\u043b\u0435\u043d\u0441\u0442\u0432\u043e \u0432 \u0433\u0440\u0443\u043f\u043f\u0435'),
        ),
        migrations.AddField(
            model_name='groupmembershipsystemrelation',
            name='passport_login',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='sysmemberships', to='core.UserPassportLogin', verbose_name='\u041f\u0430\u0441\u043f\u043e\u0440\u0442\u043d\u044b\u0439 \u043b\u043e\u0433\u0438\u043d'),
        ),
        migrations.AddField(
            model_name='groupmembershipsystemrelation',
            name='system',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sysmemberships', to='core.System', verbose_name='\u0421\u0438\u0441\u0442\u0435\u043c\u0430'),
        ),
        migrations.AddField(
            model_name='favoritesystem',
            name='system',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='in_favorites', to='core.System'),
        ),
        migrations.AddField(
            model_name='favoritesystem',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='favorite_systems', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='approverequest',
            name='approve',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='requests', to='core.Approve', verbose_name='\u041f\u043e\u0434\u0442\u0432\u0435\u0440\u0436\u0434\u0435\u043d\u0438\u0435'),
        ),
        migrations.AddField(
            model_name='approverequest',
            name='approver',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='approve_requests', to=settings.AUTH_USER_MODEL, verbose_name='\u041f\u043e\u0434\u0442\u0432\u0435\u0440\u0436\u0434\u0430\u044e\u0449\u0438\u0439'),
        ),
        migrations.AddField(
            model_name='approverequest',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.ApproveRequest', verbose_name='\u0421\u0441\u044b\u043b\u043a\u0430 \u043d\u0430 \u0440\u043e\u0434\u0438\u0442\u0435\u043b\u044c\u0441\u043a\u0438\u0439 ApproveRequest'),
        ),
        migrations.AddField(
            model_name='approve',
            name='role_request',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='approves', to='core.RoleRequest', verbose_name='\u0417\u0430\u043f\u0440\u043e\u0441'),
        ),
        migrations.AddField(
            model_name='actiontiny',
            name='system',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions_tiny', to='core.System', verbose_name='\u0421\u0438\u0441\u0442\u0435\u043c\u0430'),
        ),
        migrations.AddField(
            model_name='action',
            name='approverequest',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='core.ApproveRequest', verbose_name='\u0417\u0430\u043f\u0440\u043e\u0441 \u043f\u043e\u0434\u0442\u0432\u0435\u0440\u0436\u0434\u0435\u043d\u0438\u044f'),
        ),
        migrations.AddField(
            model_name='action',
            name='group',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='users.Group', verbose_name='\u0413\u0440\u0443\u043f\u043f\u0430'),
        ),
        migrations.AddField(
            model_name='action',
            name='impersonator',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='impersonated', to=settings.AUTH_USER_MODEL, verbose_name='\u0417\u0430\u043f\u0440\u043e\u0441\u0438\u0432\u0448\u0438\u0439'),
        ),
        migrations.AddField(
            model_name='action',
            name='inconsistency',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='actions', to='core.Inconsistency', verbose_name='\u0420\u0430\u0441\u0445\u043e\u0436\u0434\u0435\u043d\u0438\u0435'),
        ),
        migrations.AddField(
            model_name='action',
            name='membership',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='users.GroupMembership', verbose_name='\u0423\u0447\u0430\u0441\u0442\u0438\u0435'),
        ),
        migrations.AddField(
            model_name='action',
            name='node_responsibility',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='actions', to='core.NodeResponsibility', verbose_name='\u041e\u0442\u0432\u0435\u0442\u0441\u0442\u0432\u0435\u043d\u043d\u044b\u0439 \u0443\u0437\u043b\u0430 \u0434\u0435\u0440\u0435\u0432\u0430 \u0440\u043e\u043b\u0435\u0439'),
        ),
        migrations.AddField(
            model_name='action',
            name='organization',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='users.Organization', verbose_name='\u041e\u0440\u0433\u0430\u043d\u0438\u0437\u0430\u0446\u0438\u044f'),
        ),
        migrations.AddField(
            model_name='action',
            name='organization_membership',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='users.OrganizationMembership', verbose_name='\u0427\u043b\u0435\u043d\u0441\u0442\u0432\u043e \u0432 \u043e\u0440\u0433\u0430\u043d\u0438\u0437\u0430\u0446\u0438\u0438'),
        ),
        migrations.AddField(
            model_name='action',
            name='parent',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='core.Action', verbose_name='\u0420\u043e\u0434\u0438\u0442\u0435\u043b\u044c'),
        ),
        migrations.AddField(
            model_name='action',
            name='passport_login',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='core.UserPassportLogin', verbose_name='\u041f\u0430\u0441\u043f\u043e\u0440\u0442\u043d\u044b\u0439 \u043b\u043e\u0433\u0438\u043d'),
        ),
        migrations.AddField(
            model_name='action',
            name='requester',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='requested', to=settings.AUTH_USER_MODEL, verbose_name='\u041e\u0442 \u0438\u043c\u0435\u043d\u0438'),
        ),
        migrations.AddField(
            model_name='action',
            name='responsibility',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='users.GroupResponsibility', verbose_name='\u041e\u0442\u0432\u0435\u0442\u0441\u0442\u0432\u0435\u043d\u043d\u043e\u0441\u0442\u044c'),
        ),
        migrations.AddField(
            model_name='action',
            name='robot',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='owns', to=settings.AUTH_USER_MODEL, verbose_name='\u0420\u043e\u0431\u043e\u0442'),
        ),
        migrations.AddField(
            model_name='action',
            name='role',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='core.Role', verbose_name='\u0420\u043e\u043b\u044c'),
        ),
        migrations.AddField(
            model_name='action',
            name='role_alias',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='actions', to='core.RoleAlias', verbose_name='\u0421\u0438\u043d\u043e\u043d\u0438\u043c \u0443\u0437\u043b\u0430 \u0434\u0435\u0440\u0435\u0432\u0430 \u0440\u043e\u043b\u0435\u0439'),
        ),
        migrations.AddField(
            model_name='action',
            name='role_field',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='actions', to='core.RoleField', verbose_name='\u041f\u043e\u043b\u0435 \u0443\u0437\u043b\u0430 \u0434\u0435\u0440\u0435\u0432\u0430 \u0440\u043e\u043b\u0435\u0439'),
        ),
        migrations.AddField(
            model_name='action',
            name='role_node',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='actions', to='core.RoleNode', verbose_name='\u0423\u0437\u0435\u043b \u0434\u0435\u0440\u0435\u0432\u0430 \u0440\u043e\u043b\u0435\u0439'),
        ),
        migrations.AddField(
            model_name='action',
            name='rolerequest',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='core.RoleRequest', verbose_name='\u0417\u0430\u043f\u0440\u043e\u0441 \u0440\u043e\u043b\u0438'),
        ),
        migrations.AddField(
            model_name='action',
            name='service',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='services.Service', verbose_name='\u0421\u0435\u0440\u0432\u0438\u0441'),
        ),
        migrations.AddField(
            model_name='action',
            name='sysmembership',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='core.GroupMembershipSystemRelation', verbose_name='\u041f\u043e\u0441\u0438\u0441\u0442\u0435\u043c\u043d\u043e\u0435 \u0443\u0447\u0430\u0441\u0442\u0438\u0435'),
        ),
        migrations.AddField(
            model_name='action',
            name='system',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='core.System', verbose_name='\u0421\u0438\u0441\u0442\u0435\u043c\u0430'),
        ),
        migrations.AddField(
            model_name='action',
            name='transfer',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to='core.Transfer', verbose_name='\u041f\u0435\u0440\u0435\u043c\u0435\u0449\u0435\u043d\u0438\u0435'),
        ),
        migrations.AddField(
            model_name='action',
            name='user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actions', to=settings.AUTH_USER_MODEL, verbose_name='\u0421\u043e\u0442\u0440\u0443\u0434\u043d\u0438\u043a'),
        ),
        migrations.AddField(
            model_name='action',
            name='workflow',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='actions', to='core.Workflow', verbose_name='Workflow'),
        ),
        migrations.AlterUniqueTogether(
            name='rolenodeset',
            unique_together=set([('set_id', 'system', 'is_active')]),
        ),
        migrations.AlterIndexTogether(
            name='rolenodeset',
            index_together=set([('system', 'is_active')]),
        ),
        migrations.AlterUniqueTogether(
            name='rolenodeclosure',
            unique_together=set([('parent', 'child')]),
        ),
        migrations.AlterIndexTogether(
            name='rolenode',
            index_together=set([('slug', 'system', 'state'), ('system', 'level', 'id'), ('state', 'level', 'is_public'), ('state', 'level', 'is_public', 'name'), ('is_key', 'state', 'is_public'), ('state', 'slug_path'), ('state', 'level', 'is_public', 'name_en'), ('is_key', 'level', 'state'), ('level', 'slug', 'state'), ('is_key', 'state', 'is_public', 'updated_at')]),
        ),
        migrations.AlterIndexTogether(
            name='role',
            index_together=set([('is_active', 'state', 'system', 'id'), ('is_public', 'is_active', 'state', 'group', 'updated'), ('is_public', 'is_active', 'state', 'system', 'node', 'user', 'updated'), ('is_public', 'system', 'node', 'user', 'group', 'updated'), ('is_public', 'system', 'updated'), ('is_public', 'is_active', 'state', 'system', 'node', 'user', 'group', 'updated'), ('is_public', 'system', 'node', 'user', 'updated'), ('is_public', 'is_active', 'state', 'system', 'updated'), ('system', 'id'), ('user', 'parent', 'is_active', 'state'), ('is_public', 'parent', 'state', 'system', 'updated'), ('is_active', 'system', 'id'), ('is_public', 'group', 'updated'), ('is_public', 'parent', 'state', 'system')]),
        ),
        migrations.AlterUniqueTogether(
            name='internalroleuserobjectpermission',
            unique_together=set([('user', 'permission', 'content_object')]),
        ),
        migrations.AlterIndexTogether(
            name='internalroleuserobjectpermission',
            index_together=set([('user', 'permission')]),
        ),
        migrations.AlterUniqueTogether(
            name='internalrole',
            unique_together=set([('role', 'node')]),
        ),
        migrations.AlterUniqueTogether(
            name='inconsistency',
            unique_together=set([('sync_key', 'state', 'type', 'remote_hash')]),
        ),
        migrations.AlterUniqueTogether(
            name='groupmembershipsystemrelation',
            unique_together=set([('system', 'membership')]),
        ),
        migrations.AlterUniqueTogether(
            name='favoritesystem',
            unique_together=set([('user', 'system')]),
        ),
        migrations.AlterUniqueTogether(
            name='approverequest',
            unique_together=set([('parent', 'approver', 'decision'), ('parent', 'approver')]),
        ),
        migrations.AlterIndexTogether(
            name='action',
            index_together=set([('action', 'added'), ('user', 'added'), ('system', 'action', 'added'), ('role', 'added'), ('system', 'added')]),
        ),
    ]
