JAVA_PROGRAM(imscore)

OWNER(g:imscore)

PEERDIR(
    # proto
    intranet/ims/imscore/backend/service/proto
    # Utils
    contrib/java/net/bytebuddy/byte-buddy
    # Kotlin
    contrib/java/org/jetbrains/kotlin/kotlin-reflect
    contrib/java/org/jetbrains/kotlin/kotlin-stdlib
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-core
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-core-jvm
    contrib/java/org/jetbrains/kotlinx/kotlinx-coroutines-jdk9
    # Spring
    contrib/java/net/devh/grpc-spring-boot-starter
    contrib/java/org/springframework/boot/spring-boot-starter-security
    contrib/java/org/springframework/boot/spring-boot-starter-log4j2
    contrib/java/org/springframework/boot/spring-boot-starter-data-jpa
    contrib/java/org/springframework/boot/spring-boot-configuration-processor
    # Postgres
    contrib/java/org/postgresql/postgresql
    # Cache
    contrib/java/org/infinispan/infinispan-hibernate-cache-v53
    # Liquibase
    contrib/java/org/liquibase/liquibase-core
    # grpc
    contrib/java/com/google/api/grpc/proto-google-common-protos
    # hibernate
    contrib/java/com/vladmihalcea/hibernate-types-52
    # logs
    logbroker/unified_agent/client/java/log4j2
    library/java/monlib/metrics
    library/java/monlib/metrics-log4j2
    library/java/monlib/metrics-jvm
    contrib/java/org/apache/logging/log4j/log4j-jcl
    contrib/java/org/apache/logging/log4j/log4j-1.2-api
    contrib/java/com/lmax/disruptor
)

JDK_VERSION(17)

JAVAC_FLAGS(
    -parameters
)

KOTLINC_FLAGS(
    -java-parameters
)

INCLUDE(${ARCADIA_ROOT}/intranet/ims/imscore/backend/service/versions.inc)

WITH_KOTLIN()

JAVA_SRCS(SRCDIR java **/*.java)
JAVA_SRCS(SRCDIR java **/*.kt)
JAVA_SRCS(SRCDIR resources **/*)

JAVA_DEPENDENCIES_CONFIGURATION(FORBID_DEFAULT_VERSIONS FORBID_CONFLICT FORBID_CONFLICT_DM_RECENT)
LINT(extended)
USE_ERROR_PRONE()
CHECK_JAVA_DEPS(yes)

END()
