## Нагрузочное тестирование

### Инструкция:
1) Нужно заполнить базу тестовыми данными. Эти данные будем использовать для генерации патронов и запросов.
[Вот тут](./sql) лежат примеры запросов.
2) Далее нужно сгенерировать пушку и патроны, которыми будем стрелять:
   - [Генерация пушки](./gun/readme.md)
   - [Генерация патронов](./ammo/readme.md)
3) Если мы будем стрелять через [lunapark](https://lunapark.yandex-team.ru/), то примеры конфигураций лежат в директории ```lunapark```
4) Если мы хотим пострелять с локального окружения:
   1) Установить [yandex tank](https://yandextank.readthedocs.io/en/latest/install.html)
   2) [Вот тут](./tank/methods) лежат шаблоны конфигурации различных ручек для танка.
   Чтобы начать обстрел, требуется:
       1) Создать отдельную директорию для нашего танка
       2) Скопировать сгенерированный файл пушки, патронов и конфигурацию выбранного метода в директорию
       3) По необходимости поправить/дополнить конфигурацию
       4) Запустить обстрел ```yandex-tank -c config.yaml``` или используя docker:
          1) ```
             docker run -v $(pwd):/var/loadtest -v $SSH_AUTH_SOCK:/ssh-agent \
               -e SSH_AUTH_SOCK=/ssh-agent --net host \
               -it --entrypoint /bin/bash direvius/yandex-tank
             ```
          2) ```yandex-tank -c /var/loadtest/config.yaml```


