PY3_LIBRARY(magiclinks.links)

OWNER(g:tools-magiclinks)

PEERDIR(
    intranet/magiclinks/src
)

PY_SRCS(
    dto/__init__.py
    dto/types.py
    dto/result.py
    dto/match_options.py
    dto/url_object.py
    dto/base.py
    runner.py
    __init__.py
    utils/__init__.py
    utils/auth.py
    utils/response.py
    utils/org_provider.py
    utils/match_options.py
    utils/serializer.py
    utils/tvm_client.py
    utils/workers.py
    utils/urls.py
    workers/biz/__init__.py
    workers/biz/startrek_cloud_issue.py
    workers/biz/startrek_issue.py
    workers/biz/staff_user.py
    workers/biz/inflector.py
    workers/biz/base.py
    workers/mixins/async_response.py
    workers/mixins/__init__.py
    workers/mixins/simple_case.py
    workers/mixins/person_ticket.py
    workers/mixins/yql.py
    workers/mixins/sandbox.py
    workers/mixins/staff_user.py
    workers/mixins/femida.py
    workers/mixins/check_internal_access.py
    workers/__init__.py
    workers/default/disk.py
    workers/default/__init__.py
    workers/default/open_graph.py
    workers/base.py
    workers/intranet/yql_query.py
    workers/intranet/otrs.py
    workers/intranet/femida.py
    workers/intranet/femida_candidate.py
    workers/intranet/goals.py
    workers/intranet/inflector.py
    workers/intranet/staff_department.py
    workers/intranet/staff_table.py
    workers/intranet/nirvana_graph.py
    workers/intranet/__init__.py
    workers/intranet/startrek_base.py
    workers/intranet/startrek_issue.py
    workers/intranet/sandbox_task.py
    workers/intranet/yql_tutorial.py
    workers/intranet/yandex_internal.py
    workers/intranet/eds.py
    workers/intranet/atushka.py
    workers/intranet/sandbox_scheduler.py
    workers/intranet/paste.py
    workers/intranet/staff_user.py
    workers/intranet/nanny.py
    workers/intranet/zakupki.py
    workers/intranet/yql_operation.py
    workers/intranet/abc.py
    workers/intranet/abc_duty.py
    workers/intranet/lunapark.py
    workers/intranet/sandbox_resource.py
    workers/intranet/watcher.py
    urls.py
    views.py
)

RESOURCE_FILES(
    PREFIX intranet/magiclinks/src/links/

    workers/resources/biz/staff_user/favicon.ico
    workers/resources/biz/startrek_issue/favicon.ico
    workers/resources/mixins/sandbox/favicon.ico
    workers/resources/mixins/yql/favicon.ico
    workers/resources/default/disk/favicon.ico
    workers/resources/default/disk/count.ico
    workers/resources/intranet/abc/pause.ico
    workers/resources/intranet/abc/favicon.ico
    workers/resources/intranet/abc/play.ico
    workers/resources/intranet/abc/stop.ico
    workers/resources/intranet/abc/question.ico
    workers/resources/intranet/abc_duty/favicon.ico
    workers/resources/mixins/femida/favicon.ico
    workers/resources/mixins/femida/grade8.ico
    workers/resources/mixins/femida/grade5.ico
    workers/resources/mixins/femida/grade4.ico
    workers/resources/mixins/femida/grade6.ico
    workers/resources/mixins/femida/grade7.ico
    workers/resources/mixins/femida/grade3.ico
    workers/resources/mixins/femida/grade2.ico
    workers/resources/mixins/femida/grade0.ico
    workers/resources/mixins/femida/grade1.ico
    workers/resources/intranet/eds/favicon.ico
    workers/resources/intranet/nanny/favicon.ico
    workers/resources/intranet/goals/favicon.ico
    workers/resources/intranet/otrs/favicon.ico
    workers/resources/intranet/zakupki/favicon.ico
    workers/resources/intranet/atushka/favicon.ico
    workers/resources/intranet/lunapark/favicon.ico
    workers/resources/intranet/nirvana_graph/favicon.ico
    workers/resources/intranet/staff_user/favicon.ico
    workers/resources/intranet/startrek_issue/favicon.ico
    workers/resources/intranet/paste/favicon.ico
    workers/resources/intranet/staff_department/favicon.ico
    workers/resources/intranet/staff_table/favicon.ico
    workers/resources/intranet/watcher/favicon.ico
)

END()
