PY3TEST()

OWNER(g:tools-magiclinks)

ENV(PYTEST_ADDOPTS=-l)
ENV(DJANGO_SETTINGS_MODULE=intranet.magiclinks.src.settings)
ENV(YENV_TYPE=development)
ENV(YENV_NAME=intranet)

DATA(
    arcadia/intranet/magiclinks/vcr_cassettes
)

RESOURCE_FILES(
    PREFIX intranet/magiclinks/tests/

    resources/test_serialization/test_favicon.ico
)
NO_CHECK_IMPORTS()

PEERDIR(
    intranet/magiclinks/src
    intranet/magiclinks/src/links

    contrib/python/pytest-django
    contrib/python/vcrpy
    contrib/python/mock
    contrib/python/freezegun
    contrib/python/pytest-asyncio
    contrib/python/asynctest
)

TEST_SRCS(
    test_utils.py
    test_middleware.py
    __init__.py
    test_dto.py
    test_runner.py
    test_view.py
    workers_tests/biz/test_staff_user.py
    workers_tests/biz/__init__.py
    workers_tests/biz/test_startrek_issue.py
    workers_tests/biz/test_inflector.py
    workers_tests/__init__.py
    workers_tests/default/test_disk.py
    workers_tests/default/__init__.py
    workers_tests/default/test_open_graph.py
    workers_tests/base.py
    workers_tests/intranet/test_yandex_internal.py
    workers_tests/intranet/test_otrs.py
    workers_tests/intranet/test_sandbox_resource.py
    workers_tests/intranet/test_staff_user.py
    workers_tests/intranet/test_yql_tutorial.py
    workers_tests/intranet/test_sandbox_scheduler.py
    workers_tests/intranet/test_paste.py
    workers_tests/intranet/test_nanny.py
    workers_tests/intranet/__init__.py
    workers_tests/intranet/test_nirvana_graph.py
    workers_tests/intranet/test_staff_department.py
    workers_tests/intranet/test_staff_table.py
    workers_tests/intranet/test_femida.py
    workers_tests/intranet/test_femida_candidate.py
    workers_tests/intranet/test_eds.py
    workers_tests/intranet/test_sandbox_task.py
    workers_tests/intranet/test_lunapark.py
    workers_tests/intranet/test_abc.py
    workers_tests/intranet/test_abc_duty.py
    workers_tests/intranet/test_startrek_issue.py
    workers_tests/intranet/test_yql_query.py
    workers_tests/intranet/test_yql_operation.py
    workers_tests/intranet/test_goals.py
    workers_tests/intranet/test_inflector.py
    workers_tests/intranet/test_zakupki.py
    workers_tests/intranet/test_atushka.py
    workers_tests/intranet/test_watcher.py
    test_serialization.py
)

SIZE(MEDIUM)

END()
