# Generated by Django 3.1.7 on 2021-04-01 12:07

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("mentorships", "0001_initial"),
    ]

    operations = [
        migrations.AddField(
            model_name="mentorship",
            name="mentee",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="mentorships",
                to=settings.AUTH_USER_MODEL,
                verbose_name="менти",
            ),
        ),
        migrations.AddField(
            model_name="mentorship",
            name="mentor",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="mentorships",
                to="mentorships.mentor",
                verbose_name="ментор",
            ),
        ),
        migrations.AddField(
            model_name="mentorship",
            name="status_by",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="status_in_mentorships",
                to=settings.AUTH_USER_MODEL,
                verbose_name="статус выставил",
            ),
        ),
        migrations.AddField(
            model_name="mentorexperience",
            name="experience_type",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="experiences",
                to="mentorships.experiencetype",
                verbose_name="тип опыта",
            ),
        ),
        migrations.AddField(
            model_name="mentorexperience",
            name="mentor",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="experiences",
                to="mentorships.mentor",
                verbose_name="ментор",
            ),
        ),
        migrations.AddField(
            model_name="mentor",
            name="skills",
            field=models.ManyToManyField(
                blank=True,
                related_name="mentors",
                to="mentorships.Skill",
                verbose_name="навыки",
            ),
        ),
        migrations.AddField(
            model_name="mentor",
            name="user",
            field=models.OneToOneField(
                on_delete=django.db.models.deletion.PROTECT,
                to=settings.AUTH_USER_MODEL,
                verbose_name="пользователь",
            ),
        ),
        migrations.AddField(
            model_name="historicalmentorship",
            name="history_user",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="historicalmentorship",
            name="mentee",
            field=models.ForeignKey(
                blank=True,
                db_constraint=False,
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
                verbose_name="менти",
            ),
        ),
        migrations.AddField(
            model_name="historicalmentorship",
            name="mentor",
            field=models.ForeignKey(
                blank=True,
                db_constraint=False,
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="+",
                to="mentorships.mentor",
                verbose_name="ментор",
            ),
        ),
        migrations.AddField(
            model_name="historicalmentorship",
            name="status_by",
            field=models.ForeignKey(
                blank=True,
                db_constraint=False,
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
                verbose_name="статус выставил",
            ),
        ),
        migrations.AddField(
            model_name="feedback",
            name="mentor",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="feedback",
                to="mentorships.mentor",
                verbose_name="ментор",
            ),
        ),
        migrations.AddField(
            model_name="feedback",
            name="mentorship",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="feedback",
                to="mentorships.mentorship",
                verbose_name="менторство",
            ),
        ),
    ]
