# Generated by Django 1.11.10 on 2019-07-24 09:47
from django.db import migrations, models
import django.db.models.deletion


def create_constraint(apps, schema_editor):
    User = apps.get_model('accounts', 'User')
    User.objects.raw("""ALTER TABLE courses_coursestudent 
    ADD CONSTRAINT courses_coursestudent_assignment_rule_id_key 
    UNIQUE (assignment_rule_id);""")


def drop_constraint(apps, schema_editor):
    User = apps.get_model('accounts', 'User')
    User.objects.raw("""ALTER TABLE courses_coursestudent 
    DROP CONSTRAINT courses_coursestudent_assignment_rule_id_key""")


class Migration(migrations.Migration):

    dependencies = [
        ('courses', '0031_auto_20190722_0827'),
    ]

    operations = [
        migrations.AlterField(
            model_name='coursestudent',
            name='assignment_rule',
            field=models.ForeignKey(blank=True, help_text='\u0417\u0430\u043f\u043e\u043b\u043d\u044f\u0435\u0442\u0441\u044f \u0438 \u043e\u0431\u043d\u0443\u043b\u044f\u0435\u0442\u0441\u044f \u0430\u0432\u0442\u043e\u043c\u0430\u0442\u0438\u0447\u0435\u0441\u043a\u0438 \u043f\u0440\u0438 \u0438\u0437\u043c\u0435\u043d\u0435\u043d\u0438\u0438 \u0437\u043d\u0430\u0447\u0435\u043d\u0438\u044f AssignmentRule.mandatory', null=True, on_delete=django.db.models.deletion.SET_NULL, to='courses.AssignmentRule', verbose_name='\u041e\u0431\u044f\u0437\u0430\u0442\u0435\u043b\u044c\u043d\u043e\u0435 \u043f\u0440\u0430\u0432\u0438\u043b\u043e \u043d\u0430\u0437\u043d\u0430\u0447\u0435\u043d\u0438\u044f'),
        ),
        migrations.RunPython(drop_constraint, create_constraint),
    ]
