from django.db import migrations, models
from django.conf import settings
import kelvin.staff_notifications.validators


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('courses', '0002_auto_20170804_1333'),
        ('staff_notifications', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='ActivationCode',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('code', models.CharField(unique=True, max_length=10, verbose_name='\u041a\u043e\u0434', validators=[kelvin.staff_notifications.validators.validate_code])),
            ],
            options={
                'verbose_name': '\u041a\u043e\u0434 \u0430\u043a\u0442\u0438\u0432\u0430\u0446\u0438\u0438',
                'verbose_name_plural': '\u041a\u043e\u0434\u044b \u0430\u043a\u0442\u0438\u0432\u0430\u0446\u0438\u0438',
            },
        ),
        migrations.RemoveField(
            model_name='newteacheraction',
            name='active',
        ),
        migrations.RemoveField(
            model_name='newteacheraction',
            name='code',
        ),
        migrations.RemoveField(
            model_name='newteacheraction',
            name='course',
        ),
        migrations.RemoveField(
            model_name='newteacheraction',
            name='email_template',
        ),
        migrations.RemoveField(
            model_name='newteacheraction',
            name='group',
        ),
        migrations.AddField(
            model_name='newteacheraction',
            name='course_to_add',
            field=models.ForeignKey(related_name='+', verbose_name='\u0412 \u043a\u0430\u043a\u043e\u0439 \u043a\u0443\u0440\u0441 \u0434\u043e\u0431\u0430\u0432\u0438\u0442\u044c \u043a\u0430\u043a \u0443\u0447\u0435\u043d\u0438\u043a\u0430', blank=True, to='courses.Course', null=True),
        ),
        migrations.AddField(
            model_name='newteacheraction',
            name='course_to_own',
            field=models.ForeignKey(related_name='+', verbose_name='\u041a\u0430\u043a\u043e\u0439 \u043a\u0443\u0440\u0441 \u0441\u043a\u043e\u043f\u0438\u0440\u043e\u0432\u0430\u0442\u044c \u0443\u0447\u0438\u0442\u0435\u043b\u044e', blank=True, to='courses.Course', null=True),
        ),
        migrations.AddField(
            model_name='activationcode',
            name='actions',
            field=models.ManyToManyField(to='staff_notifications.NewTeacherAction', verbose_name='\u0414\u0435\u0439\u0441\u0442\u0432\u0438\u044f'),
        ),
        migrations.AddField(
            model_name='activationcode',
            name='activated_by',
            field=models.ForeignKey(verbose_name='\u041f\u043e\u043b\u044c\u0437\u043e\u0432\u0430\u0442\u0435\u043b\u044c, \u0438\u0441\u043f\u043e\u043b\u044c\u0437\u043e\u0432\u0430\u0432\u0448\u0438\u0439 \u043a\u043e\u0434', blank=True, to=settings.AUTH_USER_MODEL, null=True),
        ),
    ]
