from file_import_utils import send_email, get_sql_request_from_lenels

# LOG_FILE = f'{os.path.splitext(__file__)[0]}.log'
# LOG_FILE_TO_SEND = 'amalteya_result.txt'


def main() -> None:
    query = """SET NOCOUNT ON;
        DECLARE @number_days int = 0, @body_text VARCHAR(512), @Email_recep VARCHAR(255);
        DECLARE @Name_send VARCHAR(40), @Email_send VARCHAR(55), @Count_send int;
        SELECT @number_days = [ACCESSCONTROL].[dbo].[BADGETYP].[USEORLOSE]
        FROM [ACCESSCONTROL].[dbo].[BADGETYP] WHERE [ACCESSCONTROL].[dbo].[BADGETYP].[ID] = 1;
        SELECT [ACCESSCONTROL].[dbo].[EMP].[FIRSTNAME],
        IIF(PATINDEX('%[^abcdefghijklmnopqrstuvwxyz,^1234567890,-]%' COLLATE Latin1_General_CS_AS,
        [ACCESSCONTROL].[dbo].[EMP].[MIDNAME] COLLATE Latin1_General_CS_AS) = 0,
        CONCAT([ACCESSCONTROL].[dbo].[EMP].[MIDNAME],'@yandex-team.ru'), NUll),
        IIF(DATEADD(DAY, @number_days-1, [EVENT_TIME_UTC])>GETUTCDATE(), 10, 0)
        FROM [ACCESSCONTROL].[dbo].[LASTLOCATION] (nolock)
        INNER JOIN [ACCESSCONTROL].[dbo].[BADGE] ON
            [ACCESSCONTROL].[dbo].[LASTLOCATION].[CARDNUM] = [ACCESSCONTROL].[dbo].[BADGE].[ID]
        INNER JOIN [ACCESSCONTROL].[dbo].[EMP] ON
            [ACCESSCONTROL].[dbo].[BADGE].[EMPID] = [ACCESSCONTROL].[dbo].[EMP].[ID]
        WHERE [EVENTTYPE] = 0
        AND [ACCESSCONTROL].[dbo].[BADGE].[STATUS] = 1
        AND [ACCESSCONTROL].[dbo].[LASTLOCATION].[ACCESS_FLAG] = 0
        AND (CONVERT(varchar,[EVENT_TIME_UTC],23) = DATEADD(DAY, -@number_days, CONVERT(varchar,GETUTCDATE(),23))
        OR CONVERT(varchar,[EVENT_TIME_UTC],23) = DATEADD(DAY, 10-@number_days, CONVERT(varchar,GETUTCDATE(),23)))
        AND (PATINDEX('%[^abcdefghijklmnopqrstuvwxyz,^1234567890,-]%' COLLATE Latin1_General_CS_AS,
        [ACCESSCONTROL].[dbo].[EMP].[MIDNAME] COLLATE Latin1_General_CS_AS) = 0);"""
    users = get_sql_request_from_lenels('lenrus', query)
    if users:
        for (name_send, email_send, count_send) in users:
            mail_to = ['diff_another@yandex-team.ru', email_send]
            body_text = f'<p>Привет, {name_send}!</p>'
            if count_send > 0:
                body_text = body_text + '<p>Тебя давно не было в офисе. '\
                    'Пропуск будет заблокирован через 10 дней. '\
                    'Если до блокировки появишься в офисе всё отлично, '\
                    'если нет - поможет HelpDesk.</p>'
            else:
                body_text = body_text + '<p>Твой пропуск заблокирован. Для разблокировки обратись в HelpDesk.</p>'
            body_text = body_text + '<br>Подробнее: <a href=https://help.yandex-team.ru/?form=fairy>HELP</a><br>'\
                '<a href=https://wiki.yandex-team.ru/security/office-security/>Регламент физического доступа в офис</a>'
            subject = 'Внимание! Регламент физического доступа в офис'
            send_email(mail_to, subject, body_text, [])
    return None


if __name__ == '__main__':
    main()
