PY3_LIBRARY(paste)
ALL_PY_SRCS(RECURSIVE)

OWNER(g:tools-paste)

PEERDIR(
    contrib/python/django/django-2.2
    contrib/python/django-ninja
    contrib/python/nbformat
    contrib/python/lxml
    contrib/python/dateutil
    contrib/python/uwsgi
    contrib/python/python-json-logger
    contrib/python/django-replicated
    contrib/python/django-waffle
    contrib/python/Pygments
    contrib/python/psycopg2
    contrib/python/pytz
    contrib/python/ipython
    contrib/python/whitenoise
    contrib/python/nbconvert
    contrib/python/more-itertools
    contrib/python/requests
    contrib/python/pydantic
    contrib/python/python-dotenv
    contrib/python/colorama

    library/python/django
    library/python/granular_settings
    library/python/ids
    library/python/python-django-yauth
    library/python/ylog
    library/python/yenv
    library/python/datasources-config-wrapper
    library/python/blackbox
    library/python/tvm2
    library/python/django_template_common
    library/python/django_pgaas
)

RESOURCE_FILES(
    PREFIX intranet/paste/src/
    dotenv
    api_v1/static/ninja/redoc.standalone.js
    api_v1/static/ninja/favicon_wiki.png
    api_v1/templates/api_description.txt
    api_v1/templates/ninja/redoc.html
    coreapp/templates/coreapp/code.html
    coreapp/templates/coreapp/index.html
    coreapp/templates/coreapp/last.html
    coreapp/templates/coreapp/noway.html
    static/413.html
    templates/404.html
    templates/500.html
    templates/base.html
    static/css/paste.css
    static/css/pygments.css
)

NO_CHECK_IMPORTS(
    django_pgaas.*
    django_replicated.*
    jsonfield.*
    rest_framework.*
    whitenoise.*
    intranet.paste.*
    ninja.*
    waffle.*
    model_mommy.*
)


END()
