# flake8: noqa
from django.db import migrations, models
import django_fsm


class Migration(migrations.Migration):

    dependencies = [
        ('staff', '0001_initial'),
        ('services', '0042_service_department'),
    ]

    operations = [
        migrations.CreateModel(
            name='ServiceCreateRequest',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                (
                    'state',
                    django_fsm.FSMField(
                        default='requested',
                        max_length=50,
                        verbose_name='\u0421\u0442\u0430\u0442\u0443\u0441',
                        db_index=True,
                        choices=[
                            ('requested', '\u0417\u0430\u043f\u0440\u043e\u0448\u0435\u043d'),
                            ('processing', '\u041e\u0431\u0440\u0430\u0431\u0430\u0442\u044b\u0432\u0430\u0435\u0442\u0441\u044f'),
                            ('processing_head', '\u0417\u0430\u043f\u0440\u0430\u0448\u0438\u0432\u0430\u0435\u0442\u0441\u044f \u0440\u043e\u043b\u044c \u0434\u043b\u044f \u0440\u0443\u043a\u043e\u0432\u043e\u0434\u0438\u0442\u0435\u043b\u044f'),
                            ('completed', '\u0417\u0430\u0432\u0435\u0440\u0448\u0435\u043d')
                        ]
                    )
                ),
                (
                    'move_to',
                    models.ForeignKey(
                        to='services.Service',
                        default=None,
                        null=True,
                        related_name='move_to'
                    )
                ),
                ('requester', models.ForeignKey(to='staff.Staff')),
                ('service', models.ForeignKey(to='services.Service')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
