# -*- coding: utf-8 -*-
# Generated by Django 1.11.11 on 2018-04-03 08:44


from django.db import migrations, models


def robot_role_fix(apps, schema_editor):
    apps.get_model('core', 'GlobalRole').objects.filter(
        person__login='robot-review',
        type='r',
    ).update(type='o')


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0045_add_robot_role'),
    ]

    operations = [
        migrations.AlterField(
            model_name='globalrole',
            name='type',
            field=models.CharField(choices=[('e', 'exporter'), ('c', 'calibration_creator'), ('r', 'review_creator'), ('u', 'support'), ('\u043e', 'robot')], db_index=True, max_length=1),
        ),
        migrations.AlterField(
            model_name='personreviewchange',
            name='subject_type',
            field=models.CharField(choices=[('p', 'person'), ('r', 'robot'), ('f', 'file')], db_index=True, default='p', max_length=10),
        ),
        migrations.AlterField(
            model_name='personreviewcomment',
            name='subject_type',
            field=models.CharField(choices=[('p', 'person'), ('r', 'robot'), ('f', 'file')], db_index=True, default='p', max_length=10),
        ),
        migrations.AlterField(
            model_name='personreviewrole',
            name='type',
            field=models.CharField(choices=[('ci', 'calibrator inherited'), ('ei', 'reader inherited'), ('ad', 'calibration admin denormalized'), ('ai', 'calibration admin inherited'), ('cd', 'calibrator denormalized'), ('ar', 'calibrator archived'), ('rv', 'reviewer'), ('sr', 'superreader'), ('tr', 'top_reviewer'), ('re', 'reader'), ('si', 'superreader inherited'), ('ti', 'top reviewer inherited'), ('pi', 'superreviewer inherited'), ('ri', 'reviewer inherited'), ('sd', 'superreviewer denormalized')], db_index=True, max_length=2),
        ),
        migrations.RunPython(robot_role_fix),
    ]
