# -*- coding: utf-8 -*-


from django.db import migrations
from django.db.models import F


def migrate(apps, schema_editor):
    StaffStructureChange = apps.get_model('staff', 'StaffStructureChange')
    StaffStructureChange.objects.update(processed_at=F('created_at_auto'))


class Migration(migrations.Migration):

    dependencies = [
        ('staff', '0007_staffstructurechange_processed_at'),
    ]

    operations = [
        migrations.RunPython(migrate),
    ]
