"""cascade_delete_subscriptions

Revision ID: 0005
Revises: 0004
Create Date: 2022-02-15 17:42:04.285721+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '0005'
down_revision = '0004'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('subscription_email_id_fkey', 'subscription', type_='foreignkey')
    op.drop_constraint('subscription_chat_id_fkey', 'subscription', type_='foreignkey')
    op.create_foreign_key(None, 'subscription', 'chat', ['chat_id'], ['id'], ondelete='CASCADE')
    op.create_foreign_key(None, 'subscription', 'email', ['email_id'], ['id'], ondelete='CASCADE')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'subscription', type_='foreignkey')
    op.drop_constraint(None, 'subscription', type_='foreignkey')
    op.create_foreign_key('subscription_chat_id_fkey', 'subscription', 'chat', ['chat_id'], ['id'])
    op.create_foreign_key('subscription_email_id_fkey', 'subscription', 'email', ['email_id'], ['id'])
    # ### end Alembic commands ###
