# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('map', '0001_initial'),
        ('budget_position', '0003_auto_20211007_1807'),
        ('oebs', '0001_initial'),
        ('django_intranet_stuff', '0001_initial'),
        ('departments', '0002_auto_20211007_1807'),
    ]

    operations = [
        migrations.AddField(
            model_name='changeregistry',
            name='compensation_scheme',
            field=models.ForeignKey(verbose_name='Схема компенсаций', null=True, on_delete=django.db.models.deletion.PROTECT, to='oebs.Reward'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='department',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='django_intranet_stuff.Department'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='geography',
            field=models.ForeignKey(verbose_name='География', null=True, on_delete=django.db.models.deletion.PROTECT, to='oebs.Geography'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='linked_budget_position',
            field=models.ForeignKey(null=True, related_name='+', to='budget_position.BudgetPosition'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='new_budget_position',
            field=models.ForeignKey(null=True, related_name='+', to='budget_position.BudgetPosition'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='oebs_grade',
            field=models.ForeignKey(verbose_name='Профессия + Грейд', null=True, on_delete=django.db.models.deletion.PROTECT, to='budget_position.OEBSGrade'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='office',
            field=models.ForeignKey(verbose_name='Офис', null=True, on_delete=django.db.models.deletion.PROTECT, to='django_intranet_stuff.Office'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='organization',
            field=models.ForeignKey(verbose_name='Организация', null=True, on_delete=django.db.models.deletion.PROTECT, to='django_intranet_stuff.Organization'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='pay_system',
            field=models.ForeignKey(verbose_name='Система оплаты труда', null=True, on_delete=django.db.models.deletion.PROTECT, to='oebs.PaySys'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='placement',
            field=models.ForeignKey(verbose_name='Расположение', null=True, on_delete=django.db.models.deletion.PROTECT, to='map.Placement'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='position',
            field=models.ForeignKey(verbose_name='Должность', null=True, on_delete=django.db.models.deletion.PROTECT, to='oebs.Job'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='review_scheme',
            field=models.ForeignKey(verbose_name='Схема ревью', null=True, on_delete=django.db.models.deletion.PROTECT, to='oebs.Review'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='staff',
            field=models.ForeignKey(verbose_name='Человек', null=True, on_delete=django.db.models.deletion.PROTECT, to='django_intranet_stuff.Staff'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='staff_bonus_scheme',
            field=models.ForeignKey(verbose_name='Схема премий', null=True, on_delete=django.db.models.deletion.PROTECT, to='departments.Bonus'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='staff_hr_product',
            field=models.ForeignKey(verbose_name='HR Продукт', null=True, on_delete=django.db.models.deletion.PROTECT, to='departments.HRProduct'),
        ),
        migrations.AddField(
            model_name='changeregistry',
            name='workflow',
            field=models.ForeignKey(null=True, to='budget_position.Workflow'),
        ),
        migrations.CreateModel(
            name='MarketWorkflow',
            fields=[
            ],
            options={
                'proxy': True,
            },
            bases=('budget_position.workflow',),
        ),
    ]
