# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('django_intranet_stuff', '0001_initial'),
        ('dismissal', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='maillistduty',
            name='responsible',
            field=models.ForeignKey(verbose_name='dismissal.maillist_responsibles-label', blank=True, null=True, to='django_intranet_stuff.Staff'),
        ),
        migrations.AddField(
            model_name='dismissal',
            name='completed_by',
            field=models.ForeignKey(verbose_name='dismissal.completed_by-label', blank=True, null=True, related_name='completed_dismissals', to='django_intranet_stuff.Staff'),
        ),
        migrations.AddField(
            model_name='dismissal',
            name='created_by',
            field=models.ForeignKey(verbose_name='dismissal.created_by-label', related_name='created_dismissals', to='django_intranet_stuff.Staff'),
        ),
        migrations.AddField(
            model_name='dismissal',
            name='department',
            field=models.ForeignKey(verbose_name='dismissal.department-label', related_name='dismissals', to='django_intranet_stuff.Department'),
        ),
        migrations.AddField(
            model_name='dismissal',
            name='forward_correspondence_to',
            field=models.ForeignKey(verbose_name='dismissal.forward_correspondence_to-label', blank=True, null=True, related_name='dismissals_mail_forward', to='django_intranet_stuff.Staff'),
        ),
        migrations.AddField(
            model_name='dismissal',
            name='give_correspondence_to',
            field=models.ForeignKey(verbose_name='dismissal.give_correspondence_to-label', blank=True, null=True, related_name='dismissals_mail_given', to='django_intranet_stuff.Staff'),
        ),
        migrations.AddField(
            model_name='dismissal',
            name='give_files_to',
            field=models.ForeignKey(verbose_name='dismissal.give_files_to-label', blank=True, null=True, related_name='dismissals_files_given', to='django_intranet_stuff.Staff'),
        ),
        migrations.AddField(
            model_name='dismissal',
            name='office',
            field=models.ForeignKey(verbose_name='dismissal.office-label', related_name='dismissals', to='django_intranet_stuff.Office'),
        ),
        migrations.AddField(
            model_name='dismissal',
            name='staff',
            field=models.ForeignKey(verbose_name='dismissal.staff-label', related_name='dismissals', to='django_intranet_stuff.Staff'),
        ),
        migrations.AddField(
            model_name='clearancechittemplate',
            name='checkpoints',
            field=models.ManyToManyField(verbose_name='dismissal.checkpoints-label', blank=True, related_name='chit_templates', to='dismissal.CheckPointTemplate'),
        ),
        migrations.AddField(
            model_name='clearancechittemplate',
            name='department',
            field=models.ForeignKey(verbose_name='dismissal.department-label', blank=True, null=True, related_name='chit_templates', to='django_intranet_stuff.Department'),
        ),
        migrations.AddField(
            model_name='clearancechittemplate',
            name='office',
            field=models.ForeignKey(verbose_name='dismissal.office-label', blank=True, null=True, related_name='chit_templates', to='django_intranet_stuff.Office'),
        ),
        migrations.AddField(
            model_name='checkpointtemplate',
            name='responsibles',
            field=models.ManyToManyField(verbose_name='dismissal.checkpoint_responsibles-label', blank=True, related_name='checkpoint_templates', to='django_intranet_stuff.Staff'),
        ),
        migrations.AddField(
            model_name='checkpoint',
            name='checked_by',
            field=models.ForeignKey(verbose_name='dismissal.checkpoint_checked_by-label', blank=True, null=True, related_name='checked_points', to='django_intranet_stuff.Staff'),
        ),
        migrations.AddField(
            model_name='checkpoint',
            name='dismissal',
            field=models.ForeignKey(verbose_name='dismissal.dismissal_request', related_name='checkpoints', to='dismissal.Dismissal'),
        ),
        migrations.AddField(
            model_name='checkpoint',
            name='template',
            field=models.ForeignKey(verbose_name='dismissal.checkpoint_template', blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='dismissal.CheckPointTemplate'),
        ),
    ]
