package ru.yandex.galois.clients.abc.model

import com.fasterxml.jackson.annotation.JsonFormat
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import java.time.Instant

@JsonIgnoreProperties(ignoreUnknown = true)
data class AbcService(val id: Long,
    @JsonProperty("created_at")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd'T'HH:mm:ss[.SSSSSS]XXX", timezone = "UTC")
    val createdAt: Instant,
    val slug: String,
    val state: String,
    @JsonProperty("readonly_state")
    val readOnlyState: String?,
    val type: AbcServiceType,
    @JsonProperty("is_exportable")
    val exportable: Boolean)
