package ru.yandex.galois.clients.yt.model

import ru.yandex.inside.yt.kosher.impl.ytree.`object`.FieldsBindingStrategy
import ru.yandex.inside.yt.kosher.impl.ytree.`object`.NullSerializationStrategy
import ru.yandex.inside.yt.kosher.impl.ytree.`object`.annotation.YTreeField
import ru.yandex.inside.yt.kosher.impl.ytree.`object`.annotation.YTreeObject

@YTreeObject(nullSerializationStrategy = NullSerializationStrategy.SERIALIZE_NULL_TO_EMPTY,
    bindingStrategy = FieldsBindingStrategy.ANNOTATED_ONLY)
data class YtStaffGroup(
    @YTreeField(key = "id")
    val id: Long,
    @YTreeField(key = "is_deleted")
    val deleted: Boolean,
    @YTreeField(key = "url")
    val url: String,
    @YTreeField(key = "type")
    val type: String,
    @YTreeField(key = "role_scope")
    val roleScope: String?,
    @YTreeField(key = "service_id")
    val serviceId: Long?,
    @YTreeField(key = "parent_id")
    val parentId: Long?,
    @YTreeField(key = "parent_is_deleted")
    val parentDeleted: Boolean?,
    @YTreeField(key = "parent_url")
    val parentUrl: String?,
    @YTreeField(key = "parent_type")
    val parentType: String?,
    @YTreeField(key = "parent_role_scope")
    val parentRoleScope: String?,
    @YTreeField(key = "parent_service_id")
    val parentServiceId: Long?
)
