PY3_LIBRARY(vconf.call)

OWNER(g:tools-vconf)

PEERDIR(
    intranet/vconf/src
)

PY_SRCS(
    __init__.py
    admin.py
    apps.py
    call_template.py
    constants.py
    ether.py
    event.py
    hydrator.py

    management/__init__.py
    management/commands/__init__.py
    management/commands/stop_outdated.py
    management/commands/sync_events.py
    management/commands/update_node_statuses.py
    management/commands/update_viewers_count.py
    management/commands/stop_chats.py

    manager.py
    merger.py

    migrations/0001_initial.py
    migrations/0002_conferencecall_cms_node.py
    migrations/0003_conferencecall_stop_time.py
    migrations/0004_auto_20180809_1958.py
    migrations/0005_auto_20180813_1721.py
    migrations/0006_conferencecall_taken.py
    migrations/0007_template_name_length.py
    migrations/0008_vconf_196.py
    migrations/0009_chat_invite_hash.py
    migrations/0010_ether_fields.py
    migrations/0011_call_event_external_id.py
    migrations/0012_add_index.py
    migrations/0013_user_settings.py
    migrations/0014_call_event_external_id.py
    migrations/0015_call_template_event_id.py
    migrations/0016_call_new_status.py
    migrations/0017_priority_field.py
    migrations/0018_conferencecall_is_private_stream.py
    migrations/0019_rename_description_to_stream_description.py
    migrations/0020_add_index_to_priority.py
    migrations/0021_stream_picture_field.py
    migrations/0022_node.py
    migrations/0023_change_stream_picture_type.py
    migrations/0024_event_model.py
    migrations/0025_record_is_deleted.py
    migrations/0026_cms_participant_type.py
    migrations/0027_event_secret.py
    migrations/0028_template_fields_length.py
    migrations/0029_conferencecall_viewers_count.py
    migrations/0030_conferencecall_has_active_chat.py
    migrations/0031_translated_streams.py
    migrations/__init__.py

    models.py
    participant_ctl.py
    retranslator.py
    user.py

    urls/__init__.py
    urls/api.py
    urls/frontapi.py
    urls/monitoring.py

    views/__init__.py
    views/api.py
    views/calls.py
    views/errors.py
    views/events.py
    views/monitoring.py
    views/templates.py
)

END()
