$OmitLocalLogging off

$ModLoad imudp
$UDPServerRun 514
$MaxMessageSize 8k
$RepeatedMsgReduction off
$EscapeControlCharactersOnReceive off

$PreserveFQDN on
$template LogstashForwardFormat,"<%PRI%>%TIMESTAMP:::date-rfc3339% %$myhostname% %syslogtag%%msg:::sp-if-no-1st-sp%%msg%"
$template NginxLogstashForwardFormat,"<%PRI%>%TIMESTAMP:::date-rfc3339% %$myhostname% yandex/nginx/%syslogtag:7:$%%msg:::sp-if-no-1st-sp%%msg%"
$template NginxErrorLogstashForwardFormat,"<%PRI%>%TIMESTAMP:::date-rfc3339% %$myhostname% yandex/%syslogtag:13:$%/nginx-error%msg:::sp-if-no-1st-sp%%msg%"

{% if VIEWER_LOGSTASH_ENDPOINT | default(False) %}
:syslogtag, regex, "yandex/[a-zA-Z0-9_/-]*" @{{ VIEWER_LOGSTASH_ENDPOINT }};LogstashForwardFormat
:syslogtag, regex, "nginx_[a-zA-Z0-9_].*" @{{ VIEWER_LOGSTASH_ENDPOINT }};NginxLogstashForwardFormat
:syslogtag, regex, "nginx_error_[a-zA-Z0-9_].*" @{{ VIEWER_LOGSTASH_ENDPOINT }};NginxErrorLogstashForwardFormat
{% endif %}

$template TrapdoorFormat,"%TIMESTAMP% %HOSTNAME% %syslogtag%: %msg:R,ERE,2,DFLT:(^.*: )(.*)--end%\n"

:syslogtag, regex, "nginx_[a-zA-Z0-9_].*" @@trapdoor.yandex.net;TrapdoorFormat
