"""interval weekends

Revision ID: 0026
Revises: 0025
Create Date: 2022-02-21 13:32:31.485286+00:00

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql


# revision identifiers, used by Alembic.
revision = '0026'
down_revision = '0025'
branch_labels = None
depends_on = None


enum = postgresql.ENUM('extend', 'ignoring', name='intervalweekendsbehaviour')

def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    enum.create(op.get_bind())
    op.add_column('interval', sa.Column('weekend_behaviour', enum, nullable=False, server_default='ignoring'))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('interval', 'weekend_behaviour')
    # ### end Alembic commands ###
