OWNER(g:tools-abc)

PY3TEST()

INCLUDE(${ARCADIA_ROOT}/antiadblock/postgres_local/recipe/recipe.inc)

ENV(ENV_TYPE=development)

DEPENDS(
    antiadblock/postgres_local/recipe
    intranet/watcher/alembic
)

PEERDIR(
    intranet/watcher/src

    contrib/python/mock
    contrib/python/vcrpy
    contrib/python/pretend
    contrib/python/pytest-asyncio
    contrib/python/httpx
    contrib/python/factory-boy
    contrib/python/freezegun
    contrib/python/responses
)

TEST_SRCS(
    api/test_abc_migration.py
    api/test_delete_all_about_duty.py
    api/test_composition.py
    api/test_interval.py
    api/test_schedule.py
    api/test_schedule_group.py
    api/test_shift.py
    api/test_permissions.py
    api/test_subshifts.py
    api/test_revision.py
    api/test_pagination.py
    api/test_ping.py
    api/test_problem.py
    api/test_service.py
    api/test_upload_shifts.py
    api/test_gap_settings.py
    api/test_manual_gap.py
    api/test_base.py
    api/test_unistat.py
    api/test_slot.py

    unit/logic/test_shift.py
    unit/logic/test_notification.py
    unit/tasks/test_abc_migration.py
    unit/tasks/test_composition.py
    unit/tasks/test_generating_shifts.py
    unit/tasks/test_event_processing.py
    unit/tasks/test_group.py
    unit/tasks/test_people_allocation.py
    unit/tasks/test_task_scheduler.py
    unit/tasks/test_problem.py
    unit/tasks/test_revision_shift_boundaries.py
    unit/tasks/test_shifts.py
    unit/tasks/test_notification.py
    unit/tasks/test_sync.py
    unit/tasks/test_rating.py
    unit/tasks/test_bot.py
    unit/tasks/test_upload_to_yt.py
    unit/tasks/test_manual_gap.py
    unit/tasks/test_schedule.py
    unit/tasks/test_unistat.py
    unit/test_logbroker.py
    unit/test_middleware.py
    unit/bot/test_bot.py
)

SIZE(MEDIUM)


IF (NOT NO_FORK_TESTS)
    FORK_SUBTESTS()
    SPLIT_FACTOR(5)
ENDIF()

ALL_PY_SRCS()

NO_DOCTESTS()

NO_CHECK_IMPORTS()

END()
