PY2_LIBRARY(webauth)

OWNER(g:tools-idm)

PEERDIR(
    contrib/python/lxml
    contrib/python/tornado/tornado-4
    contrib/python/requests
    contrib/python/futures
    contrib/deprecated/python/ipaddress
    contrib/python/ujson
    contrib/python/pycurl
    contrib/python/frozendict
    contrib/python/boto3
    contrib/deprecated/python/tornadis

    library/python/ylog
    library/python/ylock
    library/python/statface_client
    yql/library/python

    contrib/python/ipython

    intranet/webauth/lib/monitorings
)

PY_SRCS(
    __init__.py
    auth_request_handler.py
    authorizer.py
    cache_storage.py
    check_oauth_token_handler.py
    crypto_utils.py
    generate_idm_cache.py
    monitorings/__init__.py
    monitorings/balancer_request_time.py
    monitorings/base.py
    monitorings/cache_monitorings.py
    monitorings/qloud_sync_monitorings.py
    monitorings/unistat.py
    oauth_callback_handler.py
    role_cache.py
    save_oauth_token_handler.py
    settings.py
    step.py
    sync_qloud_idm.py
    utils.py
)

END()
