from wiki.api_v2.collections import Collection
from wiki.api_v2.public.navigation_tree.schemas import NavTreeNodeSchema, NavTreeSchema
from wiki.api_v2.public.navigation_tree.views import navtree_view, load_more_view
from wiki.api_v2.router_factory import make_public_api_router


navtree_router = make_public_api_router(['navtree'])

navtree_router.get('/open_node', response=NavTreeSchema)(navtree_view)
navtree_router.get('/load_next', response=Collection[NavTreeNodeSchema])(load_more_view)
