from typing import Dict, Any


class IndexableModelMixin:
    def get_metadata(self) -> Dict[str, Any]:
        pass

    def get_document(self) -> Dict[str, Any]:
        pass

    def get_search_uuid(self) -> str:
        pass

    def get_acl_subject(self) -> Any:
        pass

    def get_model_org(self):
        pass

    def get_children_files(self):
        pass

    def get_children_pages(self):
        pass
