#!/usr/bin/perl

use Sys::Hostname;

$| = 1;

$host = hostname;
$tskv_format = ($ARGV[0] ? $ARGV[0] : "ydisk-nginx-error-log");

while(my $line = <STDIN>) {
    chomp $line;
    if($line =~ /^(\d+)\/(\d+)\/(\d+) ([0-9\/\ \:]+)(?:\.[0-9]+)?\ \[([a-zA-Z]+)\]\ ([0-9\#]+)\:\ \*([0-9]+)\ (.*)$/) {
        $a1 = $1 ; $a2 = $2 ; $a3 = $3;
        $date = "$a1-$a2-${a3}T$4";
        $level = $5;
        $pid = $6;
        $request_id = $7;
        $error_string = $8;
        $date =~ tr/\//\-/;
        $error_string =~ s/"/\\"/g;
        print "tskv\ttskv_format=$tskv_format\ttimestamp=$date\ttimezone=+0300\tlevel=$level\tpid=$pid\trequest_id=$request_id\thost=$host\terror_string=$error_string\n";
    } elsif($line =~ /^(\d+)\/(\d+)\/(\d+) ([0-9\/\ \:]+)(?:\.[0-9]+)?\ \[([a-zA-Z]+)\]\ ([0-9\#]+)\:\ (.*)$/) {
        $a1 = $1 ; $a2 = $2 ; $a3 = $3;
        $date = "$a1-$a2-${a3}T$4";
        $level = $5;
        $pid = $6;
        $error_string = $7;
        $date =~ tr/\//\-/;
        $error_string =~ s/"/\\"/g;
        print "tskv\ttskv_format=$tskv_format\ttimestamp=$date\ttimezone=+0300\tlevel=$level\tpid=$pid\thost=$host\terror_string=$error_string\n";
    }
}
