PY3_LIBRARY(yandex_directory)

OWNER(g:tools-directory)

PEERDIR(
    contrib/python/yandex-pgmigrate
    contrib/python/APScheduler
    contrib/python/blinker
    contrib/python/cachetools
    contrib/python/contextlib2
    contrib/python/cryptography
    contrib/python/cssutils
    contrib/python/more-itertools
    contrib/python/Flask
    contrib/python/Flask-Script
    contrib/python/watchdog
    contrib/python/rpdb
    contrib/python/gunicorn
    contrib/python/jsonschema
    contrib/python/commonmark
    contrib/python/sqlalchemy/sqlalchemy-1.2
    contrib/python/retrying
    contrib/python/tqdm
    contrib/python/msgpack
    contrib/python/APScheduler
    contrib/python/Twiggy
    contrib/python/twiggy-goodies
    contrib/python/transliterate
    contrib/python/environs
    contrib/python/pycrypto
    contrib/python/flask-cors
    contrib/python/flask-swagger
    contrib/python/repr
    contrib/python/pgcli
    contrib/python/ipython
    contrib/python/frozendict
    contrib/python/pymongo
    contrib/python/psycopg2
    contrib/python/requests
    contrib/python/chardet
    contrib/python/redis
    contrib/python/dateutil
    contrib/python/marshmallow-sqlalchemy
    contrib/python/ipdb
    contrib/python/PyJWT
    contrib/python/boto3
    contrib/python/flask-cors
    contrib/python/pyOpenSSL
    contrib/python/lxml
    contrib/libs/grpc/python
    contrib/python/protobuf
    library/python/tvmauth

    cloud/bitbucket/private-api/yandex/cloud/priv/resourcemanager/v1
    cloud/bitbucket/private-api/yandex/cloud/priv/organizationmanager/v1
    cloud/bitbucket/private-api/yandex/cloud/priv/iam/v1
    cloud/bitbucket/private-api/yandex/cloud/priv/oauth/v1
    kikimr/public/sdk/python/persqueue
    mail/pypg
    yql/library/python
    yt/python/client

    library/python/golovan_stats_aggregator
    library/python/ylog
    library/python/tools_structured_logs
    library/python/blackbox
    library/python/tvm2
    library/python/tvmauth

    cloud/iam/accessservice/client/python

    intranet/yandex_directory/src/yandex_directory
    intranet/yandex_directory/src/env_settings

    kikimr/public/sdk/python/persqueue
)

PY_SRCS(
    __init__.py
    blackbox_client.py
    manage.py
    scheduler.py
    settings.py
    short-scheduler.py
    utils.py
    worker.py
    yenv.py
)

FORK_TESTS()

RESOURCE_FILES(
    PREFIX intranet/yandex_directory/src/

    i18n/en/LC_MESSAGES/email.mo
    i18n/en/LC_MESSAGES/email.po
    i18n/en/LC_MESSAGES/sms.mo
    i18n/en/LC_MESSAGES/sms.po
    i18n/ru/LC_MESSAGES/email.mo
    i18n/ru/LC_MESSAGES/email.po
    i18n/ru/LC_MESSAGES/sms.mo
    i18n/ru/LC_MESSAGES/sms.po

    docs/swagger-spec-schema.json
    docs/index.js
)

END()
