# -*- coding: utf-8 -*-
from intranet.yandex_directory.src.yandex_directory.core.actions.base import def_action

class action:
    """

    """
    user_add = 'user_add'
    user_modify = 'user_modify'
    user_dismiss = 'user_dismiss'

    user_alias_add = 'user_alias_add'
    user_alias_delete = 'user_alias_delete'

    department_add = 'department_add'
    department_modify = 'department_modify'
    department_delete = 'department_delete'
    department_alias_add = 'department_alias_add'
    department_alias_delete = 'department_alias_delete'

    group_add = 'group_add'
    group_modify = 'group_modify'
    group_delete = 'group_delete'
    # WTF, почему они отличаются?
    group_admins_changed = 'group_admins_change'
    group_alias_add = 'group_alias_add'
    group_alias_delete = 'group_alias_delete'

    security_user_password_changed = 'security_user_password_changed'
    security_user_blocked = 'security_user_blocked'
    security_user_unblocked = 'security_user_unblocked'
    security_user_grant_organization_admin = 'security_user_grant_organization_admin'
    security_user_revoke_organization_admin = 'security_user_revoke_organization_admin'
    security_user_avatar_changed = 'security_user_avatar_changed'
    security_user_grant_deputy_admin = 'security_user_grant_deputy_admin'
    security_user_revoke_deputy_admin = 'security_user_revoke_deputy_admin'

    organization_modify = 'organization_modify'
    organization_add = 'organization_add'
    organization_delete = 'organization_delete'
    organization_subscription_plan_change = 'organization_subscription_plan_change'
    organization_logo_change = 'organization_logo_change'
    organization_promocode_activate = 'organization_promocode_activate'
    organization_promocode_deactivate = 'organization_promocode_deactivate'
    organization_type_change = 'organization_type_change'
    organization_outer_deputy_add = 'organization_outer_deputy_add'
    organization_outer_deputy_delete = 'organization_outer_deputy_delete'
    organization_owner_change = 'organization_owner_change'
    organization_vip_reason_change = 'organization_vip_reason_change'
    organization_block = 'organization_block'
    organization_unblock = 'organization_unblock'
    organization_billing_info_remove = 'organization_billing_info_remove'

    domain_add = 'domain_add'
    domain_delete = 'domain_delete'
    domain_master_modify = 'domain_master_modify'
    domain_occupy = 'domain_occupy'
    domain_alienate = 'domain_alienate'

    service_enable = 'service_enable'
    service_disable = 'service_disable'
    service_set_ready = 'service_set_ready'
    service_license_change = 'service_license_change'
    service_trial_end = 'service_trial_end'
    service_robot_add = 'service_robot_add'
    service_responsible_change = 'service_responsible_change'

    resource_modify = 'resource_modify'
    resource_add = 'resource_add'
    resource_delete = 'resource_delete'
    resource_relation_add = 'resource_relation_add'
    resource_relation_delete = 'resource_relation_delete'
    resource_license_request = 'resource_license_request'
    resource_license_request_action = 'resource_license_request_action'

    invite_add = 'invite_add'
    invite_use = 'invite_use'
    invite_deactivate = 'invite_deactivate'

    sso_settings_modify = 'sso_settings_modify'
# Действия вызываются из методов API, например, при POST /users/ вызывается
# действие с названием 'user_add'.
# Все действия вызываются через функции, которые начинаются с префикса action_.
# Например: для действия с названием 'user_add' вызывается функция
# 'action_user_add'.:
# Это соглашение для будущих действий, пока что оно не является правилом
# Запуск событий из действий происходит через функцию event_generator, которая вызывает функции,
# совпадающие с суффиксом '<object_type>_<action_type>' и начинающихся с префикса 'on_'


for attr in vars(action):
    if not attr.startswith('__'):
        name = getattr(action, attr)
        function = def_action(name)
        function.__name__ = 'action_' + name
        globals()[function.__name__] = function
