PY3_LIBRARY(yandex_directory.source)

OWNER(g:tools-directory)

FORK_TESTS()

PY_SRCS(
    __init__.py
    access_restore/__init__.py
    access_restore/tasks.py
    access_restore/utils.py
    access_restore/views/__init__.py
    access_restore/views/restore.py
    access_restore/views/webmaster.py
    admin/__init__.py
    admin/views/__init__.py
    admin/views/allowed_routes.py
    admin/views/licenses.py
    admin/views/organizations.py
    admin/views/resource_history.py
    admin/views/restore.py
    admin/views/task_names.py
    admin/views/tasks.py
    admin/views/users.py
    auth/__init__.py
    auth/decorators.py
    auth/middlewares.py
    auth/scopes.py
    auth/service.py
    auth/tvm.py
    auth/user.py
    auth/utils.py
    bigml.py
    commands/__init__.py
    commands/build_events_doc.py
    common/__init__.py
    common/appcontext.py
    common/backpressure.py
    common/billing/__init__.py
    common/billing/client.py
    common/billing/invoice_client.py
    common/billing/mock_client.py
    common/billing/testing_client.py
    common/billing/utils.py
    common/cache.py
    common/caching/__init__.py
    common/caching/utils.py
    common/commands/__init__.py
    common/commands/api_errors.py
    common/commands/base.py
    common/commands/dbshell.py
    common/commands/generate_ammo.py
    common/commands/generate_ammo_portal.py
    common/commands/generate_requests_json.py
    common/commands/migrate_database.py
    common/commands/runserver.py
    common/commands/shell.py
    common/commands/smoke_test.py
    common/compat.py
    common/components.py
    common/conductor/__init__.py
    common/conductor/base.py
    common/conductor/client.py
    common/conductor/mock_client.py
    common/crutches.py
    common/datatools.py
    common/db/__init__.py
    common/exceptions.py
    common/exitstack.py
    common/extensions.py
    common/http_client.py
    common/json.py
    common/marshmallow.py
    common/models/__init__.py
    common/models/base.py
    common/models/types.py
    common/pagination.py
    common/schemas.py
    common/smoke.py
    common/sqlalchemy.py
    common/step/__init__.py
    common/step/client.py
    common/trace.py
    common/utils.py
    common/views/__init__.py
    common/views/main.py
    common/web.py
    common/yql/__init__.py
    common/yt/__init__.py
    common/yt/utils.py
    connect_services/__init__.py
    connect_services/alice_b2b/__init__.py
    connect_services/alice_b2b/client.py
    connect_services/cloud/__init__.py
    connect_services/cloud/grpc/__init__.py
    connect_services/cloud/grpc/client.py
    connect_services/cloud/grpc/access.py
    connect_services/cloud/service_account.py
    connect_services/direct/__init__.py
    connect_services/direct/base.py
    connect_services/direct/client/__init__.py
    connect_services/direct/client/client.py
    connect_services/direct/client/exceptions.py
    connect_services/domenator/__init__.py
    connect_services/domenator/client.py
    connect_services/exceptions.py
    connect_services/idm/__init__.py
    connect_services/idm/base_service.py
    connect_services/idm/direct/__init__.py
    connect_services/idm/direct/service.py
    connect_services/idm/exceptions.py
    connect_services/idm/metrika/__init__.py
    connect_services/idm/metrika/service.py
    connect_services/idm/yandexsprav/__init__.py
    connect_services/idm/yandexsprav/service.py
    connect_services/metrika/__init__.py
    connect_services/metrika/client/__init__.py
    connect_services/metrika/client/client.py
    connect_services/metrika/client/exceptions.py
    connect_services/partner_disk/__init__.py
    connect_services/partner_disk/client.py
    connect_services/partner_disk/tasks.py
    connect_services/resource_removal/__init__.py
    connect_services/resource_removal/metrika.py
    connect_services/roles.py
    connect_services/yandexsprav/__init__.py
    connect_services/yandexsprav/client.py
    core/__init__.py
    core/actions/__init__.py
    core/actions/base.py
    core/actions/department.py
    core/actions/domain.py
    core/actions/group.py
    core/actions/listeners.py
    core/actions/organization.py
    core/actions/resource.py
    core/actions/service.py
    core/actions/user.py
    core/billing/__init__.py
    core/billing/tasks.py
    core/billing/utils.py
    core/cloud/__init__.py
    core/cloud/claims.py
    core/cloud/utils.py
    core/cloud/tasks.py
    core/commands/__init__.py
    core/commands/accept_eula_for_robots.py
    core/commands/analyze_query.py
    core/commands/change_org_admin.py
    core/commands/change_organization_type.py
    core/commands/check_balance_and_debt.py
    core/commands/check_inactive_contracts.py
    core/commands/check_user_disk.py
    core/commands/copy_org_schema.py
    core/commands/create_fake_organizations.py
    core/commands/create_group_resources.py
    core/commands/create_head_groups.py
    core/commands/create_org_domains.py
    core/commands/create_resources_for_tracker.py
    core/commands/create_robots.py
    core/commands/create_swagger_spec.py
    core/commands/disable_expired_promocodes.py
    core/commands/disable_service_trial_expired.py
    core/commands/enable_yaorg.py
    core/commands/excluded_shards.py
    core/commands/export_json_schemas.py
    core/commands/fill_fake_emails.py
    core/commands/get_external_org_ids.py
    core/commands/import_json.py
    core/commands/init_members_count.py
    core/commands/migrate_exists_org_admins.py
    core/commands/migrate_group_members_count.py
    core/commands/normalize_dismissed.py
    core/commands/normalize_org_names.py
    core/commands/notify_about_trial_expiration.py
    core/commands/passport_org.py
    core/commands/remove_dismissed_group_admins.py
    core/commands/save_analytics.py
    core/commands/save_analytics_to_yt.py
    core/commands/service_add.py
    core/commands/set_dismissed_in_metabase.py
    core/commands/set_external_org_ids.py
    core/commands/show_metrics.py
    core/commands/show_survey_for_automigrated_admins.py
    core/commands/task_types.py
    core/commands/update_maillist_uids.py
    core/commands/update_services_in_shards.py
    core/commands/update_vip_reasons.py
    core/db/__init__.py
    core/db/migrations/__init__.py
    core/db/migrations/main/__init__.py
    core/db/migrations/meta/__init__.py
    core/db/queries.py
    core/db/utils.py
    core/dependencies.py
    core/events/__init__.py
    core/events/base.py
    core/events/department.py
    core/events/domain.py
    core/events/group.py
    core/events/listeners.py
    core/events/resource.py
    core/events/tasks.py
    core/events/user.py
    core/events/utils.py
    core/exceptions.py
    core/features/__init__.py
    core/features/predicates.py
    core/features/rules.py
    core/features/utils.py
    core/idm/__init__.py
    core/idm/b2b_client.py
    core/idm/exceptions.py
    core/idm/internal_client.py
    core/importer/__init__.py
    core/importer/exception.py
    core/importer/from_json.py
    core/mail_migration/__init__.py
    core/mail_migration/account/__init__.py
    core/mail_migration/account/tasks.py
    core/mail_migration/collector/__init__.py
    core/mail_migration/collector/tasks.py
    core/mail_migration/exception.py
    core/mail_migration/mailbox/__init__.py
    core/mail_migration/mailbox/tasks.py
    core/mail_migration/metatask/__init__.py
    core/mail_migration/metatask/tasks.py
    core/mail_migration/migration/__init__.py
    core/mail_migration/migration/tasks.py
    core/mail_migration/transfer/__init__.py
    core/mail_migration/transfer/tasks.py
    core/mail_migration/utils.py
    core/mailer/__init__.py
    core/mailer/mailer.py
    core/mailer/cloud_notify/__init__.py
    core/mailer/cloud_notify/client.py
    core/mailer/sender/__init__.py
    core/mailer/sender/exceptions.py
    core/mailer/sender/non_prod_envs.py
    core/mailer/tasks.py
    core/mailer/utils/__init__.py
    core/mailer/utils/access_restore.py
    core/maillist/__init__.py
    core/maillist/tasks.py
    core/maillist_check/__init__.py
    core/maillist_check/tasks.py
    core/models/__init__.py
    core/models/license.py
    core/models/access_restore.py
    core/models/action.py
    core/models/department.py
    core/models/disk_usage.py
    core/models/domain.py
    core/models/event.py
    core/models/excluded_shard.py
    core/models/group.py
    core/models/image.py
    core/models/invite.py
    core/models/mail_migration_file.py
    core/models/maillist_check.py
    core/models/meta.py
    core/models/organization.py
    core/models/preset.py
    core/models/resource.py
    core/models/robot_service.py
    core/models/service.py
    core/models/task.py
    core/models/task_relations.py
    core/models/scheduled_tasks_result.py
    core/models/user.py
    core/models/webhook.py
    core/monitoring/__init__.py
    core/monitoring/admin_stats.py
    core/monitoring/buckets.py
    core/monitoring/handlers.py
    core/monitoring/stats.py
    core/permission/__init__.py
    core/permission/internal_permissions.py
    core/permission/permissions.py
    core/permission/rules.py
    core/permissions.py
    core/predicates.py
    core/registrar/__init__.py
    core/registrar/client.py
    core/registrar/exceptions.py
    core/registrar/tasks.py
    core/resource/__init__.py
    core/resource/metadata.py
    core/resource/tasks.py
    core/resource_history/__init__.py
    core/resource_history/domain.py
    core/resource_history/resource.py
    core/scheduler/__init__.py
    core/scheduler/cron.py
    core/scheduler/utils.py
    core/sms/__init__.py
    core/sms/base.py
    core/sms/exceptions.py
    core/sms/sms.py
    core/sms/tasks.py
    core/sms/utils.py
    core/task_queue/__init__.py
    core/task_queue/base.py
    core/task_queue/exceptions.py
    core/task_queue/utils.py
    core/task_queue/worker.py
    core/tasks/__init__.py
    core/tasks/domains.py
    core/tasks/move.py
    core/tasks/resource.py
    core/tasks/responsible.py
    core/tasks/tasks.py
    core/tasks/tracker.py
    core/templates.py
    core/utils/__init__.py
    core/utils/analytics.py
    core/utils/credential_sanitizer.py
    core/utils/csv_reader.py
    core/utils/deferred.py
    core/utils/departments.py
    core/utils/domain.py
    core/utils/invite.py
    core/utils/ycrid_manager.py
    core/utils/organization/__init__.py
    core/utils/organization/vip.py
    core/utils/resources.py
    core/utils/retry.py
    core/utils/robots.py
    core/utils/services.py
    core/utils/subscription.py
    core/utils/tasks.py
    core/utils/user_inconsistencies.py
    core/utils/users/__init__.py
    core/utils/users/base.py
    core/utils/users/dismiss.py
    core/utils/users/responsible.py
    core/utils/users/restore.py
    core/views/__init__.py
    core/views/actions.py
    core/views/antispam.py
    core/views/api_versioning.py
    core/views/base.py
    core/views/binding_widget/__init__.py
    core/views/binding_widget/logic.py
    core/views/binding_widget/views.py
    core/views/cloud/__init__.py
    core/views/cloud/eventhandler.py
    core/views/cloud/user_cloud_organizations_view.py
    core/views/check_mail_server.py
    core/views/departments.py
    core/views/dependencies.py
    core/views/disk_usage.py
    core/views/domains/__init__.py
    core/views/domains/add_owned_domains_view.py
    core/views/domains/domain_token.py
    core/views/domains/logic.py
    core/views/domains/views.py
    core/views/domenator/views.py
    core/views/events.py
    core/views/groups.py
    core/views/idm/__init__.py
    core/views/idm/base.py
    core/views/idm/views.py
    core/views/invite.py
    core/views/lego/__init__.py
    core/views/lego/view.py
    core/views/mail_migration.py
    core/views/organization/__init__.py
    core/views/organization/constants.py
    core/views/organization/logic.py
    core/views/organization/utils.py
    core/views/organization/view.py
    core/views/permissions.py
    core/views/proxy.py
    core/views/registrar/__init__.py
    core/views/relations.py
    core/views/resources.py
    core/views/service/__init__.py
    core/views/service/roles_list_view.py
    core/views/service/view.py
    core/views/subscription.py
    core/views/suggest.py
    core/views/swagger.py
    core/views/tasks.py
    core/views/ui.py
    core/views/users.py
    core/views/webhooks.py
    core/views/who_is.py
    core/yarm/__init__.py
    core/yarm/exceptions.py
    domain/__init__.py
    domain/tasks.py
    directory_logging/__init__.py
    directory_logging/flask_logging_extension.py
    directory_logging/http_requests_logger.py
    directory_logging/logger.py
    directory_logging/tools_structured_logs/__init__.py
    directory_logging/tools_structured_logs/library_integration_layer/__init__.py
    directory_logging/tools_structured_logs/library_integration_layer/config.py
    directory_logging/tools_structured_logs/library_integration_layer/flask_application.py
    directory_logging/tools_structured_logs/library_integration_layer/logger.py
    directory_logging/tools_structured_logs/library_integration_layer/providers/__init__.py
    directory_logging/tools_structured_logs/library_integration_layer/providers/auth.py
    directory_logging/tools_structured_logs/library_integration_layer/providers/b2b.py
    directory_logging/tools_structured_logs/library_integration_layer/providers/request.py
    directory_logging/tools_structured_logs/library_integration_layer/sql_vendor/__init__.py
    directory_logging/tools_structured_logs/library_integration_layer/sql_vendor/after_sql_executed_provider.py
    directory_logging/tools_structured_logs/library_integration_layer/sql_vendor/instrumentation.py
    disk/__init__.py
    disk/callbacks.py
    fouras.py
    gendarme/__init__.py
    limits/__init__.py
    limits/components.py
    limits/config.py
    limits/dto.py
    limits/models.py
    limits/views.py
    logbroker/__init__.py
    logbroker/client.py
    logbroker/consumer.py
    logbroker/passport_consumer.py
    main/__init__.py
    main/components.py
    main/config.py
    main/dao.py
    main/models.py
    mds/__init__.py
    mds/client.py
    mds/exceptions.py
    meta/__init__.py
    meta/commands/__init__.py
    meta/commands/import_registrars.py
    meta/components.py
    meta/config.py
    meta/factories/__init__.py
    meta/factories/resource_history.py
    meta/models/__init__.py
    meta/models/models.py
    meta/models/resource_history.py
    meta/models/service.py
    meta/repositories/__init__.py
    meta/repositories/repositories.py
    meta/repositories/resource_history_repository.py
    passport/__init__.py
    passport/callbacks.py
    passport/client.py
    passport/exceptions.py
    passport/utils.py
    setup.py
    sso/__init__.py
    sso/exceptions.py
    sso/tasks.py
    sso/config_service/__init__.py
    sso/config_service/client.py
    sso/utils.py
    sso/views.py
    swagger/__init__.py
    webmaster.py
    zora/__init__.py
    zora/client.py
    zora/exceptions.py
)

RESOURCE_FILES(
    PREFIX intranet/yandex_directory/src/yandex_directory/

    core/db/migrations/grants/monitor.sql
    core/db/migrations/grants/ydir.sql

    core/db/migrations/meta/grants/monitor.sql
    core/db/migrations/meta/grants/ydir.sql

    domain-tld.dat
)

NO_CHECK_IMPORTS()

END()
