PY3TEST()

OWNER(g:tools-directory)

ENV(ENVIRONMENT=autotests)
ENV(ARCADIA=True)


USE_RECIPE(antiadblock/postgres_local/recipe/recipe --port 5432 --user ydir --db_name ydir_meta)
USE_RECIPE(antiadblock/postgres_local/recipe/recipe --port 5432 --user ydir --db_name ydir_main)
INCLUDE(${ARCADIA_ROOT}/antiadblock/postgres_local/recipe/postgresql_bin.inc)
DEPENDS(
    antiadblock/postgres_local/recipe
    contrib/python/yandex-pgmigrate/bin
)

DATA(
    arcadia/intranet/yandex_directory/src/yandex_directory/core/db/migrations
    arcadia/intranet/yandex_directory/tests/unit/yandex_directory/core/mail_migration/data/migration_file.csv
    arcadia/intranet/yandex_directory/tests/functional/api/mail_migration/data/duplicate_login.csv
    arcadia/intranet/yandex_directory/tests/functional/api/mail_migration/data/valid_migration.csv
    arcadia/intranet/yandex_directory/tests/functional/api/mail_migration/data/failed_passport_validation.csv
    arcadia/intranet/yandex_directory/tests/functional/api/mail_migration/data/invalid_migration_no_fields.csv
    arcadia/intranet/yandex_directory/tests/functional/api/mail_migration/data/invalid_migration.csv
    arcadia/intranet/yandex_directory/tests/unit/yandex_directory/core/commands/test_data
    arcadia/intranet/yandex_directory/tests/unit/yandex_directory/passport/data/scream.jpg
)

#CONFTEST_LOAD_POLICY_LOCAL()

PEERDIR(
    intranet/yandex_directory/src
    intranet/yandex_directory/src/yandex_directory
    intranet/yandex_directory/src/env_settings

    contrib/python/PyHamcrest
    contrib/python/paramiko
    contrib/python/responses
)


NO_CHECK_IMPORTS()

TEST_SRCS(
    __init__.py
    checks.py
    conftest.py
    functional/__init__.py
    functional/access_restore/__init__.py
    functional/access_restore/restore/__init__.py
    functional/access_restore/restore/control_answers.py
    functional/access_restore/restore/tests.py
    functional/access_restore/webmaster/__init__.py
    functional/access_restore/webmaster/tests.py
    functional/admin/__init__.py
    functional/admin/access_restore/__init__.py
    functional/admin/access_restore/tests.py
    functional/admin/allowed_routes/__init__.py
    functional/admin/allowed_routes/tests.py
    functional/admin/autorization/__init__.py
    functional/admin/autorization/test.py
    functional/admin/licenses/__init__.py
    functional/admin/licenses/tests.py
    functional/admin/organizations/__init__.py
    functional/admin/organizations/tests.py
    functional/admin/resource_history/__init__.py
    functional/admin/resource_history/tests.py
    functional/admin/scopes/__init__.py
    functional/admin/scopes/tests.py
    functional/admin/task_names/__init__.py
    functional/admin/task_names/tests.py
    functional/admin/tasks/__init__.py
    functional/admin/tasks/tests.py
    functional/admin/users/__init__.py
    functional/admin/users/tests.py
    functional/api/__init__.py
    functional/api/actions/__init__.py
    functional/api/actions/tests.py
    functional/api/check_mail_server/__init__.py
    functional/api/check_mail_server/tests.py
    functional/api/common/__init__.py
    functional/api/common/tests.py
    functional/api/departments/__init__.py
    functional/api/departments/tests.py
    functional/api/dependencies/__init__.py
    functional/api/dependencies/tests.py
    functional/api/disk_usage/__init__.py
    functional/api/disk_usage/tests.py
    functional/api/domains/__init__.py
    functional/api/domains/tests.py
    functional/api/domenator/tests.py
    functional/api/events/__init__.py
    functional/api/events/tests.py
    functional/api/groups/__init__.py
    functional/api/groups/tests.py
    functional/api/idm/__init__.py
    functional/api/idm/tests.py
    functional/api/invite/__init__.py
    functional/api/invite/department_invite_tests.py
    functional/api/invite/detail_tests.py
    functional/api/invite/invite_emails_tests.py
    functional/api/invite/invite_tests.py
    functional/api/invite/use_test.py
    functional/api/lego/__init__.py
    functional/api/lego/tests.py
    functional/api/mail_migration/__init__.py
    functional/api/mail_migration/tests.py
    functional/api/organization/__init__.py
    functional/api/organization/tests.py
    functional/api/permissions/__init__.py
    functional/api/permissions/tests.py
    functional/api/registrar/__init__.py
    functional/api/registrar/tests.py
    functional/api/relations/__init__.py
    functional/api/relations/tests.py
    functional/api/resources/__init__.py
    functional/api/resources/tests.py
    functional/api/services/__init__.py
    functional/api/services/tests.py
    functional/api/sso/__init__.py
    functional/api/sso/tests.py
    functional/api/subscription/__init__.py
    functional/api/subscription/tests.py
    functional/api/suggest/__init__.py
    functional/api/suggest/tests.py
    functional/api/tasks/__init__.py
    functional/api/tasks/tests.py
    functional/api/test_antispam.py
    functional/api/test_proxy.py
    functional/api/tests.py
    functional/api/ui/__init__.py
    functional/api/ui/tests.py
    functional/api/users/__init__.py
    functional/api/users/tests.py
    functional/api/webhooks/__init__.py
    functional/api/webhooks/tests.py
    functional/api/who_is/__init__.py
    functional/api/who_is/tests.py
    functional/ping/__init__.py
    functional/ping/tests.py
    functional/swagger/__init__.py
    functional/swagger/tests.py
    functional/yandex_directory/__init__.py
    functional/yandex_directory/common/__init__.py
    functional/yandex_directory/common/backpressure/__init__.py
    functional/yandex_directory/common/backpressure/tests.py
    functional/yandex_directory/connect_services/__init__.py
    functional/yandex_directory/connect_services/resource_removal.py
    functional/yandex_directory/core/__init__.py
    functional/yandex_directory/core/cloud/__init__.py
    functional/yandex_directory/core/cloud/tests.py
    functional/yandex_directory/core/monitoring/__init__.py
    functional/yandex_directory/core/monitoring/tests.py
    functional/yandex_directory/limits/__init__.py
    functional/yandex_directory/limits/tests.py
    functional/yandex_directory/main/__init__.py
    functional/yandex_directory/main/tests.py
    testutils.py
    unit/__init__.py
    unit/yandex_directory/__init__.py
    unit/yandex_directory/access_restore/__init__.py
    unit/yandex_directory/access_restore/tasks/__init__.py
    unit/yandex_directory/access_restore/tasks/tests.py
    unit/yandex_directory/access_restore/utils/__init__.py
    unit/yandex_directory/access_restore/utils/tests.py
    unit/yandex_directory/auth/__init__.py
    unit/yandex_directory/auth/decorators/__init__.py
    unit/yandex_directory/auth/decorators/tests.py
    unit/yandex_directory/auth/middlewares/__init__.py
    unit/yandex_directory/auth/middlewares/tests.py
    unit/yandex_directory/auth/oauth/__init__.py
    unit/yandex_directory/auth/oauth/tests.py
    unit/yandex_directory/auth/tvm/__init__.py
    unit/yandex_directory/auth/tvm/tests.py
    unit/yandex_directory/auth/user/__init__.py
    unit/yandex_directory/auth/user/tests.py
    unit/yandex_directory/auth/utils/__init__.py
    unit/yandex_directory/auth/utils/tests.py
    unit/yandex_directory/bigml/__init__.py
    unit/yandex_directory/bigml/tests.py
    unit/yandex_directory/common/__init__.py
    unit/yandex_directory/common/backpressure/__init__.py
    unit/yandex_directory/common/backpressure/tests.py
    unit/yandex_directory/common/billing/__init__.py
    unit/yandex_directory/common/billing/client/__init__.py
    unit/yandex_directory/common/billing/client/tests.py
    unit/yandex_directory/common/billing/testing_client/__init__.py
    unit/yandex_directory/common/billing/testing_client/tests.py
    unit/yandex_directory/common/cache/__init__.py
    unit/yandex_directory/common/cache/tests.py
    unit/yandex_directory/common/db/__init__.py
    unit/yandex_directory/common/db/tests.py
    unit/yandex_directory/common/db/utils/__init__.py
    unit/yandex_directory/common/db/utils/tests.py
    unit/yandex_directory/common/models/__init__.py
    unit/yandex_directory/common/models/base/__init__.py
    unit/yandex_directory/common/models/base/tests.py
    unit/yandex_directory/common/utils/__init__.py
    unit/yandex_directory/common/utils/tests.py
    unit/yandex_directory/common/yt/__init__.py
    unit/yandex_directory/common/yt/utils/__init__.py
    unit/yandex_directory/common/yt/utils/tests.py
    unit/yandex_directory/connect_services/__init__.py
    unit/yandex_directory/connect_services/cloud/__init__.py
    unit/yandex_directory/connect_services/direct/__init__.py
    unit/yandex_directory/connect_services/direct/tests.py
    unit/yandex_directory/core/__init__.py
    unit/yandex_directory/core/billing/__init__.py
    unit/yandex_directory/core/billing/utils/__init__.py
    unit/yandex_directory/core/billing/utils/tests.py
    unit/yandex_directory/core/commands/__init__.py
    unit/yandex_directory/core/commands/change_org_admin/__init__.py
    unit/yandex_directory/core/commands/change_org_admin/tests.py
    unit/yandex_directory/core/commands/create_robots/__init__.py
    unit/yandex_directory/core/commands/create_robots/tests.py
    unit/yandex_directory/core/commands/excluded_shards/__init__.py
    unit/yandex_directory/core/commands/excluded_shards/tests.py
    unit/yandex_directory/core/commands/notify_about_trial_expiration/__init__.py
    unit/yandex_directory/core/commands/notify_about_trial_expiration/tests.py
    unit/yandex_directory/core/commands/set_dismissed_in_metabase/__init__.py
    unit/yandex_directory/core/commands/set_dismissed_in_metabase/tests.py
    unit/yandex_directory/core/commands/tests.py
    unit/yandex_directory/core/dao/__init__.py
    unit/yandex_directory/core/dao/responsible_tests.py
    unit/yandex_directory/core/events/__init__.py
    unit/yandex_directory/core/events/base/__init__.py
    unit/yandex_directory/core/events/base/tests.py
    unit/yandex_directory/core/events/department/__init__.py
    unit/yandex_directory/core/events/department/tests.py
    unit/yandex_directory/core/events/domain/__init__.py
    unit/yandex_directory/core/events/domain/tests.py
    unit/yandex_directory/core/events/group/__init__.py
    unit/yandex_directory/core/events/group/tests.py
    unit/yandex_directory/core/events/service/__init__.py
    unit/yandex_directory/core/events/service/tests.py
    unit/yandex_directory/core/events/tasks/__init__.py
    unit/yandex_directory/core/events/tasks/tests.py
    unit/yandex_directory/core/events/user/__init__.py
    unit/yandex_directory/core/events/user/tests.py
    unit/yandex_directory/core/events/utils/__init__.py
    unit/yandex_directory/core/events/utils/tests.py
    unit/yandex_directory/core/features/tests_features.py
    unit/yandex_directory/core/importer/__init__.py
    unit/yandex_directory/core/importer/base/__init__.py
    unit/yandex_directory/core/importer/base/tests.py
    unit/yandex_directory/core/importer/json/__init__.py
    unit/yandex_directory/core/importer/json/tests.py
    unit/yandex_directory/core/mail_migration/__init__.py
    unit/yandex_directory/core/mail_migration/account/__init__.py
    unit/yandex_directory/core/mail_migration/account/tasks/__init__.py
    unit/yandex_directory/core/mail_migration/account/tasks/tests.py
    unit/yandex_directory/core/mail_migration/collector/__init__.py
    unit/yandex_directory/core/mail_migration/collector/tasks/__init__.py
    unit/yandex_directory/core/mail_migration/collector/tasks/tests.py
    unit/yandex_directory/core/mail_migration/mailbox/__init__.py
    unit/yandex_directory/core/mail_migration/mailbox/tasks/__init__.py
    unit/yandex_directory/core/mail_migration/mailbox/tasks/tests.py
    unit/yandex_directory/core/mail_migration/migration/__init__.py
    unit/yandex_directory/core/mail_migration/migration/tasks/__init__.py
    unit/yandex_directory/core/mail_migration/migration/tasks/tests.py
    unit/yandex_directory/core/mail_migration/transfer/__init__.py
    unit/yandex_directory/core/mail_migration/transfer/tasks/__init__.py
    unit/yandex_directory/core/mail_migration/transfer/tasks/tests.py
    unit/yandex_directory/core/mailer/__init__.py
    unit/yandex_directory/core/mailer/mailer/__init__.py
    unit/yandex_directory/core/mailer/mailer/non_prod_envs_tests.py
    unit/yandex_directory/core/mailer/mailer/tests.py
    unit/yandex_directory/core/mailer/utils/__init__.py
    unit/yandex_directory/core/mailer/utils/tests.py
    unit/yandex_directory/core/maillist/__init__.py
    unit/yandex_directory/core/maillist/tests.py
    unit/yandex_directory/core/maillist_check/__init__.py
    unit/yandex_directory/core/maillist_check/tests.py
    unit/yandex_directory/core/models/__init__.py
    unit/yandex_directory/core/models/access_restore/__init__.py
    unit/yandex_directory/core/models/access_restore/tests.py
    unit/yandex_directory/core/models/action/__init__.py
    unit/yandex_directory/core/models/action/tests.py
    unit/yandex_directory/core/models/department/__init__.py
    unit/yandex_directory/core/models/department/tests.py
    unit/yandex_directory/core/models/domain/__init__.py
    unit/yandex_directory/core/models/domain/tests.py
    unit/yandex_directory/core/models/event/__init__.py
    unit/yandex_directory/core/models/event/tests.py
    unit/yandex_directory/core/models/group/__init__.py
    unit/yandex_directory/core/models/group/tests.py
    unit/yandex_directory/core/models/invite/__init__.py
    unit/yandex_directory/core/models/invite/invites_tests.py
    unit/yandex_directory/core/models/invite/yandexuid_invites_tests.py
    unit/yandex_directory/core/models/maillist_check/__init__.py
    unit/yandex_directory/core/models/maillist_check/tests.py
    unit/yandex_directory/core/models/organization/__init__.py
    unit/yandex_directory/core/models/organization/organization_promocodes_tests.py
    unit/yandex_directory/core/models/organization/tests.py
    unit/yandex_directory/core/models/preset/__init__.py
    unit/yandex_directory/core/models/preset/tests.py
    unit/yandex_directory/core/models/resource/__init__.py
    unit/yandex_directory/core/models/resource/tests.py
    unit/yandex_directory/core/models/service/__init__.py
    unit/yandex_directory/core/models/service/tests.py
    unit/yandex_directory/core/models/task/__init__.py
    unit/yandex_directory/core/models/task/tests.py
    unit/yandex_directory/core/models/task_relations/__init__.py
    unit/yandex_directory/core/models/task_relations/tests.py
    unit/yandex_directory/core/models/user/__init__.py
    unit/yandex_directory/core/models/user/tests.py
    unit/yandex_directory/core/models/webhook/__init__.py
    unit/yandex_directory/core/models/webhook/tests.py
    unit/yandex_directory/core/monitoring/__init__.py
    unit/yandex_directory/core/monitoring/tests.py
    unit/yandex_directory/core/permissions/__init__.py
    unit/yandex_directory/core/permissions/permissions_tests.py
    unit/yandex_directory/core/predicates_tests.py
    unit/yandex_directory/core/resource/__init__.py
    unit/yandex_directory/core/resource/tests.py
    unit/yandex_directory/core/scheduler/__init__.py
    unit/yandex_directory/core/scheduler/cron/tests_cron.py
    unit/yandex_directory/core/scheduler/utils/__init__.py
    unit/yandex_directory/core/scheduler/utils/tests.py
    unit/yandex_directory/core/sms/__init__.py
    unit/yandex_directory/core/sms/base/__init__.py
    unit/yandex_directory/core/sms/base/tests.py
    unit/yandex_directory/core/sms/utils/__init__.py
    unit/yandex_directory/core/sms/utils/tests.py
    unit/yandex_directory/core/task_queue/__init__.py
    unit/yandex_directory/core/task_queue/base/__init__.py
    unit/yandex_directory/core/task_queue/base/tests.py
    unit/yandex_directory/core/task_queue/worker/__init__.py
    unit/yandex_directory/core/task_queue/worker/tests.py
    unit/yandex_directory/core/utils/__init__.py
    unit/yandex_directory/core/utils/analytics/__init__.py
    unit/yandex_directory/core/utils/analytics/tests.py
    unit/yandex_directory/core/utils/create_maillist_tests.py
    unit/yandex_directory/core/utils/domain/__init__.py
    unit/yandex_directory/core/utils/domain/tests.py
    unit/yandex_directory/core/utils/invites/__init__.py
    unit/yandex_directory/core/utils/invites/tests.py
    unit/yandex_directory/core/utils/organization/__init__.py
    unit/yandex_directory/core/utils/organization/tests.py
    unit/yandex_directory/core/utils/organization/vip/__init__.py
    unit/yandex_directory/core/utils/organization/vip/tests.py
    unit/yandex_directory/core/utils/resources/__init__.py
    unit/yandex_directory/core/utils/resources/tests.py
    unit/yandex_directory/core/utils/robots/__init__.py
    unit/yandex_directory/core/utils/robots/tests.py
    unit/yandex_directory/core/utils/tasks/__init__.py
    unit/yandex_directory/core/utils/tasks/tests.py
    unit/yandex_directory/core/utils/tests.py
    unit/yandex_directory/core/utils/users/__init__.py
    unit/yandex_directory/core/utils/users/add_user_by_invite_tests.py
    unit/yandex_directory/core/utils/users/dismiss_tests.py
    unit/yandex_directory/core/views/__init__.py
    unit/yandex_directory/core/views/api_versioning/__init__.py
    unit/yandex_directory/core/views/api_versioning/tests.py
    unit/yandex_directory/core/views/base/__init__.py
    unit/yandex_directory/core/views/base/tests.py
    unit/yandex_directory/core/views/binding_widget/__init__.py
    unit/yandex_directory/core/views/binding_widget/binding_view_tests.py
    unit/yandex_directory/core/views/binding_widget/logic_tests.py
    unit/yandex_directory/core/views/organization/__init__.py
    unit/yandex_directory/core/views/organization/logic_tests.py
    unit/yandex_directory/core/views/organization/tests.py
    unit/yandex_directory/disk/__init__.py
    unit/yandex_directory/disk/tests.py
    unit/yandex_directory/fouras/__init__.py
    unit/yandex_directory/fouras/tests.py
    unit/yandex_directory/partner_disk/__init__.py
    unit/yandex_directory/partner_disk/tests.py
    unit/yandex_directory/passport/__init__.py
    unit/yandex_directory/passport/tests.py
    unit/yandex_directory/settings/__init__.py
    unit/yandex_directory/settings/tests.py
    unit/yandex_directory/tests.py
    unit/yandex_directory/sso/__init__.py
    unit/yandex_directory/sso/tests.py
    unit/yandex_directory/webmaster/__init__.py
    unit/yandex_directory/webmaster/tests.py
    unit/yandex_directory/yarm/__init__.py
    unit/yandex_directory/yarm/tests.py
    unit/yandex_directory/zora/__init__.py
    unit/yandex_directory/zora/tests.py
    webmaster_responses.py
)

SIZE(MEDIUM)


FORK_SUBTESTS()
SPLIT_FACTOR(6)

END()
